<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class PaymentItem extends CI_Controller {
	function __Construct(){
		parent::__Construct ();
		$this->load->database();
		$this->load->model('PaymentItemModel');
        $this->load->model('permission_model');
	}
	
	public function index(){
		$this->data['payments'] = $this->PaymentItemModel->getItemByPayment();
		$this->data["icon"] = 'fa fa-money';
		$this->data["title"] = 'Payment';
		$this->load->view('payment_item_view/index.php', $this->data);
	}
	
	public function addnew_select(){		
		$this->load->view('payment_item_view/addnew_select.php');
	}
	
	public function addnew($id){		
		$this->data['items'] = $this->PaymentItemModel->getItem($id);
		$this->load->view('payment_item_view/addnew.php', $this->data);
	}

	public function insert(){
		$project_id = $this->input->post('project_id');
		$item_id = $this->input->post('item_id');
		$payAmount = $this->input->post('payAmount');
		$paymentPercent = $this->input->post('paymentPercent');
		$paymentDate = $this->input->post('paymentDate');
		$payStep = $this->input->post('paymentID');

		$data = array();
		for ($i = 0; $i < count($this->input->post('paymentID')); $i++){
			$data[$i] = array(
				'project_id' 		=>	 $project_id,
				'item_id' 			=>	 $item_id,
				'payAmount' 		=>	 $payAmount[$i],
				'paymentPercent' 	=>	 $paymentPercent[$i],
				'paymentDate' 		=>	 $paymentDate[$i],
				'paymentStep'		=>	 $payStep[$i],
			);
		}
		$this->PaymentItemModel->create($data);
		redirect(site_url('PaymentItem/index'));
	}

	public function view($id){
		$this->data['items'] = $this->PaymentItemModel->getItem($id);
		$this->data['payments'] = $this->PaymentItemModel->getPayment($id);
		$this->load->view('project_planning_item_view/view.php', $this->data);

		// $this->data['payments'] = $this->PaymentItemModel->getPaymentByItem($id);

		// $this->load->view('project_planning_item_view/view.php', $this->data);
	}
	
	// Select Item Where Project
	public function findPayment($projectID){
		$this->data["items"] = $this->PaymentItemModel->getPaymentByProjectID($projectID);
		echo json_encode($this->data);
	}	
	// Find Item by ID
	public function find_item_by_id($itemID){
		$this->data["items"] = $this->PaymentItemModel->get_item_id($itemID);
		echo json_encode($this->data);
	}

	public function report_project(){
		$projectID = $this->input->post('projectID');

		$this->data['reports'] = $this->PaymentItemModel->get_report_by_project($projectID);

		$this->load->view('payment_report_view/payment_report_project.php', $this->data);
	}

	public function report_item(){
		$itemID = $this->input->post('itemID');
		$this->data['reports'] = $this->PaymentItemModel->get_report_by_item($itemID);
		$this->load->view('payment_report_view/payment_report_item.php', $this->data);
	}

	public function report_date(){
		$startDate = $this->input->post('startDate');
		$endDate = $this->input->post('endDate');
		$from_date = date('Y-m-d', strtotime($startDate));
		$to_date = date('Y-m-d', strtotime($endDate));
		$this->data['reports'] = $this->PaymentItemModel->get_report_by_date($from_date,$to_date);
		$this->load->view('payment_report_view/payment_report_date.php', $this->data);
	}

	public function report(){
		$data["icon"] = 'fa fa-file';
		$data["title"] = 'Report';
		$this->load->view('payment_report_view/index.php', $data);
	}

	// Search Report Of Payment
	public function payment_report(){
		$projectID = $this->input->post('projectID');
		$itemID = $this->input->post('itemID');
		$startDate = $this->input->post('from_date');
		$endDate = $this->input->post('to_date');		

		if (!empty($startDate)) {
			$from_date = date('Y-m-d', strtotime($startDate));
		} else {
			$from_date = $startDate;
		}
		if (!empty($endDate)) {
			$to_date = date('Y-m-d', strtotime($endDate));
		} else {
			$to_date = $endDate;
		}

		$this->data['reports'] = $this->PaymentItemModel->get_payment_report($projectID, $itemID, $from_date, $to_date);

		$this->load->view('payment_report_view/report_search.php', $this->data);
	}
}