<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Report_cash_on_hand extends CI_Controller {
	function __construct() {
		parent::__construct();
		$this->load->model('report_cash_on_hand_model');
		$this->session->userdata('username');
		$this->load->model('permission_model');
	}
	public function index(){
		//$this->load->view('pawn/index.php');
	}
	public function view(){
		$data["icon"] = 'fa fa-file-text-o';
		$data["title"] = 'Report Cash on hand';

		$this->load->view('report_accounting/report_cash_on_hand.php');
	}
	public function load_data_datable()
	{

		$columns = array(
			0 => 'pjnID',
			1 => 'pjnDatePay',
			2 => 'pjnDes',
			3 => 'pjnInvoice',
			4 => 'users',
			5 => 'ptName',
			6 => 'pjnDr',
			7 => 'pjnCr',
			8 => 'balance',

		);
		$s_date = $this->input->post('st_date');
		$e_date = $this->input->post('en_date');
		$pjnBy = $this->input->post('pjnBy');
		$limit = $this->input->post('length');
		$start = $this->input->post('start');
		$order = $columns[$this->input->post('order')[0]['column']];
		$dir = $this->input->post('order')[0]['dir'];

		$totalData = $this->report_cash_on_hand_model->allposts_count($s_date, $e_date,$pjnBy);

		$totalFiltered = $totalData;

		if (empty($this->input->post('search')['value'])) {
			$posts = $this->report_cash_on_hand_model->allposts($limit, $start, $order, $dir, $s_date, $e_date,$pjnBy);

			$totalFiltered = $this->report_cash_on_hand_model->posts_search_count_all($s_date, $e_date,$pjnBy);
		}

		$data = array();
		if (!empty($posts)) {
			$i = 1;
			foreach ($posts as $post) {
				$nestedData = array();
				$nestedData[] = $i;
				$nestedData[] = date('d-m-Y',strtotime($post->pjnDatePay));
				$nestedData[] = $post->pjnDes;
				$nestedData[] = $post->pjnInvoice;
				$nestedData[] = $post->pay_to;
				$nestedData[] = $post->userBy;
				$nestedData[] = $post->ptName;
				$nestedData[] = empty($post->pjnDr)?'':number_format($post->pjnDr, 2);
				$nestedData[] = empty($post->pjnCr)?'':number_format($post->pjnCr, 2);
				$nestedData[] = '';

				$data[] = $nestedData;
				$i++;
			}
		}

		$json_data = array(
			"draw" => intval($this->input->post('draw')),
			"recordsTotal" => intval($totalData),
			"recordsFiltered" => intval($totalFiltered),
			"data" => $data
		);

		echo json_encode($json_data);
	}
}
