<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Loan extends CI_Controller {
	function __construct() {
		parent::__construct();
		$this->load->model('client_model');
		$this->load->model('loan_model');
		$this->load->model('loan_process_model');
		$this->load->model('sale_model');
		$this->load->model('description_model');
		$this->load->library('parser');
        $this->load->library('numbertowordconvertsconver');
        $this->load->library('numbertowordconvertsconvers');
        $this->load->library('numbertowordconvertsconvers1');
        $this->load->library('numbertowordconvertsconvers2');
        $this->load->library('numbertowordconvertsconvers3');
        $this->load->model('permission_model');
	}
	public function view($clientID,$item=''){

		$data["client"] = $this->client_model->get_client($clientID);
		// $data["client1"] = $this->client_model->client_list();
		$data["agent"] = $this->client_model->getAgent($clientID);
		$data["data"] = $this->loan_model->get($clientID);
		$data["item"] = $this->loan_model->getitem($clientID);

		$data["icon"] = 'fa fa-money';
		$data["title"] = 'Client Payment';
		$data["clientID"] = $clientID;

		$data['itemID'] = (empty($item))? 0:$item;

		if(!empty($item)){
			$sale = $this->sale_model->getID($item);
			$get_sale = $this->sale_model->get_sale($item);
			$data['psDiscount'] = $get_sale->psDiscount;
			$data['psAmount'] = $get_sale->psAmount;
			$data['psRemain'] = $get_sale->psRemain;
			$data['psReceive'] = $get_sale->psReceive;

			$data['amount'] = $sale->psRemain;
			$data['sale_id'] = $sale->psdSaleID;
			$data['currency'] = 1;
			$data['readonly'] = 'readonly';
		}else{
			$data['amount'] = "";
			$data['currency'] = "";
			$data['readonly'] = "";
		}



		$this->load->view('loan/index.php',$data);
	}
	public function view_cancel(){
		$data["data"] = $this->loan_model->get_cancel();

		$this->load->view('loan_cancel/index.php',$data);
	}
	public function save($clientID){

		$pcrRelationship = empty($_POST['pcrRelationship'])?'':$_POST['pcrRelationship'];
		$pcrName = empty($_POST['pcrName'])?'':$_POST['pcrName'];
		$pcrDoB = empty($_POST['pcrDoB'])?'':$_POST['pcrDoB'];
		$pcrGender = empty($_POST['pcrGender'])?'':$_POST['pcrGender'];
		$pcrJob = empty($_POST['pcrJob'])?'':$_POST['pcrJob'];
		$pcrPhone1 = empty($_POST['pcrPhone1'])?'':$_POST['pcrPhone1'];
		$pcrPhone2 = empty($_POST['pcrPhone2'])?'':$_POST['pcrPhone2'];
		$pcrNationality = empty($_POST['pcrNationality'])?'':$_POST['pcrNationality'];
		$pcrIdCard = empty($_POST['pcrIdCard'])?'':$_POST['pcrIdCard'];
		$pcrIddate = empty($_POST['pcrIddate'])?'':$_POST['pcrIddate'];
		$pcrIdValid = empty($_POST['pcrIdValid'])?'':$_POST['pcrIdValid'];
		$pcrCardBy = empty($_POST['pcrCardBy'])?'':$_POST['pcrCardBy'];
		$pcrAddress = empty($_POST['pcrAddress'])?'':$_POST['pcrAddress'];

		$this->clientPOS($clientID);
		$type = $_POST['ploType'];
		$sale_id = $_POST['sale_id'];
		$item_cost = $_POST['item_cost'];
		$remain_cost = $_POST['ploAmount_payment'];
		$sale_discount = $_POST['sale_discount'];
		$agent_discount = $_POST['agent_discount'];
		$deposit = $_POST['deposit_amount'];
		$paid = $deposit + $sale_discount + $agent_discount;
		$sale_cost = $item_cost - $sale_discount - $agent_discount;

		$paid_per = $deposit * 100 / $sale_cost;

		$invoice = str_pad($sale_id, 5, '0', STR_PAD_LEFT);

		$get_item = $this->description_model->get_des($sale_id);

		$des = $get_item->ppjName.', '.$get_item->pctName.', '.$get_item->items.' (Sale)';
		$des_agent = $get_item->ppjName.', '.$get_item->pctName.', '.$get_item->items.' (Sale Agent discount)';
		$des_com = $get_item->ppjName.', '.$get_item->pctName.', '.$get_item->items.' (Sale Company discount)';
		$today = date('Y-m-d');

		$acc_code = $this->db->query("SELECT * FROM nso007_item_accpreset where iaItemID = ".$get_item->pctID);

		$acc_code = $acc_code->row();

		$this->sale_stock_discount($sale_id,$sale_discount,$agent_discount);
		//$step = $_POST['ploPaymentStep'];
		$data_loan = $this->insert_loan($clientID,$paid_per);


		$this->db->insert('nso007_loan', $data_loan);
		$loanID = $this->db->insert_id();

		if($loanID!=0){
			$data = array(
				'pjnPID'=>0,
				'pjnAccCode'=>$acc_code->iaSalesAcc,
				'pjnType'=>4,
				'pjnCr'=>$sale_cost,
				'pjnInvoice'=>$invoice,
				'pjnDateTransaction'=>date('Y-m-d H:i:s'),
				'pjnDatePay'=>$today,
				'pjnRefID'=>$sale_id,
				'pjnDes'=>$des,
				'pjnBy'=>$this->session->userdata['logged_in']['pliID'],
				'pjnCurrency'=>1,
				'pjnStatus'=>0,
			);

			$this->db->insert('nso007_jounal', $data);
			$insert_id = $this->db->insert_id();

			$data1 =array(
				'pjnPID'=>$insert_id,
				'pjnAccCode'=>10000,
				'pjnType'=>4,
				'pjnDr'=>$sale_cost,
				'pjnInvoice'=>$invoice,
				'pjnDateTransaction'=>date('Y-m-d H:i:s'),
				'pjnDatePay'=>$today,
				'pjnRefID'=>$sale_id,
				'pjnDes'=>$des,
				'pjnBy'=>$this->session->userdata['logged_in']['pliID'],
				'pjnCurrency'=>1,
				'pjnStatus'=>0,
			);
			$this->db->insert('nso007_jounal', $data1);
		}

		$pcrLoanID = $loanID;
        if(!empty($pcrRelationship)) {
            $d_relationship = array(
                'pcrLoanId' => $pcrLoanID,
                'pcrName' => $pcrName,
                'pcrGender' => $pcrGender,
                'pcrDoB' => $pcrDoB,
                'pcrPhone1' => $pcrPhone1,
                'pcrPhone2' => $pcrPhone2,
                'pcrNationality' => $pcrNationality,
                'pcrIdCard' => $pcrIdCard,
                'pcrIdCardDate' => $pcrIddate,
                'pcrIdCardDateValid' => $pcrIdValid,
                'pcrIdCardBy' => $pcrCardBy,
                'pcrAddress' => $pcrAddress,
                'pcrJob' => $pcrJob,
                'pcrRelationship' => $pcrRelationship,
            );
            $this->db->insert('nso007_client_relationship', $d_relationship);
        }
		// Discount
		if(!empty($sale_discount)){
			$data =array(
				'pjnPID'=>$sale_id,
				'pjnAccCode'=>50006,
				'pjnType'=>13,
				'pjnCr'=>$sale_discount,
				'pjnDateTransaction'=>date('Y-m-d H:i:s'),
				'pjnDatePay'=>date('Y-m-d'),
				'pjnDes'=>$des_com,
				'pjnBy'=>$this->session->userdata['logged_in']['pliID'],
				'pjnCurrency'=>1,
				'pjnRefID'=>$sale_id,
			);
			$this->db->insert('nso007_jounal', $data);
		}
		if(!empty($agent_discount)){
			$data =array(
				'pjnPID'=>$sale_id,
				'pjnAccCode'=>50006,
				'pjnType'=>13,
				'pjnCr'=>$agent_discount,
				'pjnDateTransaction'=>date('Y-m-d H:i:s'),
				'pjnDatePay'=>date('Y-m-d'),
				'pjnDes'=>$des_agent,
				'pjnBy'=>$this->session->userdata['logged_in']['pliID'],
				'pjnCurrency'=>1,
				'pjnRefID'=>$sale_id,
			);
			$this->db->insert('nso007_jounal', $data);
		}
		if($loanID!=0){$this->insert_payment($data_loan,$loanID);}

		$get_no = $this->db->query("
			SELECT MAX(plpNo) AS step FROM nso007_loan_process WHERE plpLoanID = $loanID
		");
		$get_no = $get_no->row();
		$data_loan['step'] = $get_no->step;

		if($loanID!=0){$this->insert_payment_interes($data_loan,$loanID);}

		redirect(site_url('loan/loan/view/'.$clientID));
	}
	public function insert_payment($post,$loanID)
	{
		extract($post);

		$amount = $ploAmount;
		$plpAccPrinciple = 0;
		$plpAmountPaid = 0;

		$paymentDate = $this->input->post('paymentDate');
	    $payAmount = $this->input->post('payAmount');
	    $total_pay_amount = $this->input->post('ploAmount_payment');
	    $no = 1;
	    $plpAmountCredit = $total_pay_amount;
		$principlebalance = $total_pay_amount;

	    for ($i = 0; $i < count($this->input->post('payAmount')); $i++){
	    	$principlebalance -= $payAmount[$i];
	    	$plpAccPrinciple += $payAmount[$i];
	    	$plpAmountPaid += $payAmount[$i];
	    	$plpAmountCredit -= $payAmount[$i];
	    	$data = array(
		        'plpLoanID'      =>   $loanID,
		        'plpNo'       =>   $no,
		        'plpDatePayment'   =>   $paymentDate[$i],
		        'plpInterest'	=> 0,
		        'plpInterestPay'	=> 0,
		        'plpAccPrinciple'	=> $plpAccPrinciple,
		        'plpPrincipleOS'	=> $principlebalance,
		        'plpAccInterest'	=> 0,
		        'plpAmountPaid'		=> $plpAmountPaid,
		        'plpAmountCredit'	=> $plpAmountCredit,
		        'plpPrinciple'     =>   $payAmount[$i],
		        'plpPrinciplePay'   =>   $payAmount[$i],
		        'plpOwe'       =>   $payAmount[$i],
		        'plpOwePay'     =>   $payAmount[$i],
	    	);
	    	$this->db->insert('nso007_loan_process', $data);
	    	$no++;
	    }
	}
	public function clientPOS($id){
		$data = array(
			'pclPOS' => '1',
		);
		$this->db->where('pclID',$id);  
		return $this->db->update('nso007_client',$data);
	}
	public function sale_stock_discount($id,$sale_discount,$ag_discount)
	{

		$this->db->query("UPDATE nso007_sale_stock
						SET
						psDiscount = $sale_discount,
						psAgDiscount = $ag_discount,
						psRemain = psRemain - $sale_discount,
						psPurchase = 1
						WHERE psID = $id");
	}
	public function interest_standard($post,$loanID){

		extract($post);
		$amount = $ploAmount;
		$duration = $ploDuration;
		$interest = $ploInterest;
		$interest_step = $ploInterestStep;

		$amountOS = $amount;
		$no = $no + 1;
		$payment = ($this->PMT($interest / 100, $duration, -$amount));
		$accPrinciple = 0;
		$accInterest = 0;
		$amountPaid = 0;
		$totalAmountCredit = $payment * $duration;

		for($i = 0; $i < $duration; $i++){
			$interestPay = ($amountOS * $interest) / 100;
			//$interestPay = ($amountOS * $interest) / 100;
			$principlePay = ($payment - $interestPay);
			$amountOS -= $principlePay;
			$accPrinciple = ($accPrinciple + $principlePay);
			$accInterest = ($accInterest + $interestPay);
			$amountPaid += $payment;
			$amountCredit = $totalAmountCredit - $amountPaid;
			//echo $principlePay.'<br>';
			$data = array(
				'plpLoanID' => $loanID,
				'plpNo' => $no,
				'plpDatePayment' => date('Y-m-d',strtotime($ploFristPayDate." + $i month")),
				'plpInterest' => $interestPay,
				'plpInterestPay' => $interestPay,
				'plpPrinciple' => $principlePay,
				'plpPrinciplePay' => $principlePay,
				'plpPrincipleOS' => $amountOS,
				'plpAccPrinciple' => $accPrinciple,
				'plpAccInterest' => $accInterest,
				'plpAmountPaid' => $amountPaid,
				'plpAmountCredit' => $amountCredit,
				'plpOwe' => $payment,
				'plpOwePay' => $payment,
			);

			$this->db->insert('nso007_loan_process', $data);

			$no++;

		}
	}
    public function insert_payment_interes($post,$loanID)
    {

        extract($post);
        $plpAccPrinciple = $ploAmountPayment;

        $plpAmountPaid = $ploAmountPayment;

        $paymentDate2 = $this->input->post('paymentDate2');
        $payAmount2 = $this->input->post('payAmount2');
        $principal = $this->input->post('principal');
        $interest = $this->input->post('interest');
        $principlebalance = $this->input->post('ploAmount');
        $total_pay_amount = $this->input->post('ploAmount');
        $no = $step + 1;
        $plpAmountCredit = $total_pay_amount;

        for ($i = 0; $i < count($this->input->post('payAmount2')); $i++){
            $principlebalance-=$principal[$i];
            $plpAccPrinciple += $payAmount2[$i];
            $plpAmountPaid += $payAmount2[$i];
            $plpAmountCredit -= $principal[$i];

            $data = array(
                'plpLoanID'      =>   $loanID,
                'plpNo'       =>   $no,
                'plpDatePayment'   =>   $paymentDate2[$i],
                'plpInterest'	=> $interest[$i],
                'plpInterestPay'	=> $interest[$i],
                'plpAccPrinciple'	=> $plpAccPrinciple,
                'plpPrincipleOS'	=> $principlebalance,
                'plpAccInterest'	=> $interest[$i],
                'plpAmountPaid'		=> $plpAmountPaid,
                'plpAmountCredit'	=> $plpAmountCredit,
                'plpPrinciple'     =>   $principal[$i],
                'plpPrinciplePay'   =>   $principal[$i],
                'plpOwe'       =>   $payAmount2[$i],
                'plpOwePay'     =>   $payAmount2[$i],

            );
            $this->db->insert('nso007_loan_process', $data);
            $no++;
        }
    }
	public function interest_simple($post,$loanID){
		extract($post);
		$amountLoan = $ploAmountLoan;
		$amount = $ploAmount;
		$duration = $ploDuration;
		$interest = $ploInterest;

		$interestPay = ($amountLoan * $interest) / 100;
		$principlePay = $amountLoan / $duration;
		$amountOS = $amountLoan;
		$no = $no + 1;
		$accPrinciple = 0;
		$accInterest = 0;
		$payment = $principlePay + $interestPay;
		$amountPaid = 0;
		$totalAmountCredit = $amount + $principlePay;

		for($i = 0; $i < $duration; $i++){
			$amountOS -= $principlePay;
			$accPrinciple += $principlePay;
			$accInterest += $interestPay;
			$amountPaid += $payment;
			$amountCredit = $totalAmountCredit - $amountPaid;

			$data = array(
				'plpLoanID' => $loanID,
				'plpNo' => $no,
				'plpDatePayment' => date('Y-m-d',strtotime($ploFristPayDate." + $i month")),
				'plpInterest' => $interestPay,
				'plpInterestPay' => $interestPay,
				'plpPrinciple' => $principlePay,
				'plpPrinciplePay' => $principlePay,
				'plpPrincipleOS' => $amountOS,
				'plpAccPrinciple' => $accPrinciple,
				'plpAccInterest' => $accInterest,
				'plpAmountPaid' => $amountPaid,
				'plpAmountCredit' => $amountCredit,
				'plpOwe' => $payment,
				'plpOwePay' => $payment,
			);
			$this->db->insert('nso007_loan_process', $data);

			$no++;
		}
	}
	public function interest_installment($post,$loanID){

		extract($post);
		$paymentByStep = $ploAmountPayment;
		$plpAmountPaid = $paymentByStep;

		$amountLoan = $ploAmountLoan;
		$amount = $ploAmount;
		$duration = $ploDuration;
		$interest = $ploInterest;
		$principlePay = $amountLoan / $duration;

		$amountOS = $amountLoan;
		$no = $step + 1;
		$accPrinciple = $paymentByStep;
		$accInterest = 0;
		$amountPaid = 0;


		for($i = 0; $i < $duration; $i++){
			$interestPay = (($amountOS * $interest) / 100);
			$amountOS -= $principlePay;
			$accPrinciple = ($accPrinciple + $principlePay);
			$accInterest = ($accInterest + $interestPay);
			$totalAmountCredit = $amountLoan + $interestPay;
			$payment = ($principlePay + $interestPay);
			$amountPaid += $payment ;
			$plpAmountPaid += $payment ;
			$amountCredit = $totalAmountCredit - $amountPaid;
			//echo $principlePay.'<br>';
			$data = array(
				'plpLoanID' => $loanID,
				'plpNo' => $no,
				'plpDatePayment' => date('Y-m-d',strtotime($ploFristPayDate." + $i month")),
				'plpInterest' => $interestPay,
				'plpInterestPay' => $interestPay,
				'plpPrinciple' => $principlePay,
				'plpPrinciplePay' => $principlePay,
				'plpPrincipleOS' => $amountOS,
				'plpAccPrinciple' => $accPrinciple,
				'plpAccInterest' => $accInterest,
				'plpAmountPaid' => $plpAmountPaid,
				'plpAmountCredit' => $amountCredit,
				'plpOwe' => $payment,
				'plpOwePay' => $payment,
			);
			$this->db->insert('nso007_loan_process', $data);
			$no++;
		}
	}
	public function interest_eoc($post,$loanID){
		extract($post);
		$amount = $ploAmount;
		$duration = $ploDuration;
		$interest = $ploInterest;

		$interestPay = ($amount * $interest) / 100;
		$payment = $interestPay;
		$amountOS = $amount;
		$no = $no + 1;
		$accPrinciple = 0;
		$accInterest = 0;
		$amountPaid = 0;
		$totalAmountCredit = ($interestPay * $duration) + $amount;
		for($i = 0; $i < $duration; $i++){
			if($i+1 == $duration){
				$principlePay = 	$interest + $amount -1;
				$principlebalance = 0;
				$amountOS = 0;
				$accPrinciple = $amount;
				$payment = $principlePay + $interestPay;
				//file_put_contents('abc.txt', 'payment: '.$payment . PHP_EOL, FILE_APPEND );
			}else{
				$principlePay = ($payment-$interestPay);
				$principlebalance = ($principlebalance-$amount);
				$accPrinciple = $principlePay;
			}
			$principlePay = ($principlePay <0)? 0:$principlePay;
			$accPrinciple = ($accPrinciple>$amount)? $amount:$accPrinciple;
			$accInterest 	= $accInterest + $interestPay;
			$amountPaid 	+= $payment ;
			$amountCredit = $totalAmountCredit - $amountPaid;

			$data = array(
				'plpLoanID' => $loanID,
				'plpNo' => $no,
				'plpDatePayment' => date('Y-m-d',strtotime($ploFristPayDate." + $i month")),
				'plpInterest' => $interestPay,
				'plpInterestPay' => $interestPay,
				'plpPrinciple' => $principlePay,
				'plpPrinciplePay' => $principlePay,
				'plpPrincipleOS' => $amountOS,
				'plpAccPrinciple' => $accPrinciple,
				'plpAccInterest' => $accInterest,
				'plpAmountPaid' => $amountPaid,
				'plpAmountCredit' => $amountCredit,
				'plpOwe' => $payment,
				'plpOwePay' => $payment,
			);
				$this->db->insert('nso007_loan_process', $data);
				$no++;
		}
	}
	public function insert_loan($clientID,$paid_per){
		$data = array(
			'ploClientID' => $clientID,
			'ploAmount' => $_POST['item_cost'],
			'ploDiscount' => $_POST['sale_discount'],
			'ploAgDiscount' => $_POST['agent_discount'],
			'ploAmountOS' => $_POST['ploAmount_payment'],
			'ploAmountPayment' => $_POST['amount_payment_step'],
			'ploAmountLoan' => $_POST['ploAmount'],
			'ploInterest' => $_POST['ploInterest'],
			'ploDuration' => $_POST['ploDuration'],
			'ploTerm' => $_POST['ploTerm'],
			'ploPaymentStep' => $_POST['ploPaymentStep'],
			'ploPayment' => $_POST['ploPayment'],
			'ploDisburment' => date('Y-m-d',strtotime($_POST['ploDisburment'])),
			'ploFristPayDate' => date('Y-m-d',strtotime($_POST['ploFristPayDate'])),
			'ploCo' => $_POST['ploCo'],
			'ploStaff' => $_POST['ploStaff'],
			//'ploPlacePay' => $_POST['ploPlacePay'],
			'ploTime' => $_POST['ploTime'],
			'ploFor' => $_POST['ploFor'],
			'ploCurrency' => $_POST['ploCurrency'],
			'ploType' => $_POST['ploType'],
			'ploOther' => $_POST['ploOther'],
			'ploSale' => $_POST['ploSale'],
			'plopercentagePay'=>$paid_per,
			'ploStatus' => 1,
		);
		return $data;
	}
	public function PMT($i, $n, $p){
		return $i * $p * pow((1 + $i), $n) / (1 - pow((1 + $i), $n));
	}
	public function form_reschedule($id){
		$get = $this->loan_model->getID($id);
		$pay = $this->loan_process_model->getPaid($id);
		$datePay = $this->loan_process_model->getDatePay($id);

		$data['amountOS'] = $get->amountOS;
		$data['currency'] = $get->currency;
		$data['type'] = $get->type;
		$data['interest'] = $get->ploInterest;
		$data['today'] = date('d-m-Y');
		$data['duration'] = $get->ploDuration - $pay->paid;
		$data['term'] = $get->term;
		$data['paymentStep'] = $get->ploPaymentStep;
		$data['fristPayDate'] = date('d-m-Y',strtotime($datePay->plpDatePayment));
		$data['id'] = $id;
		echo json_encode($data);
	} 
	public function form_commission($id){
		$get = $this->loan_model->get_for_commission($id);
		$agent_id = $get->ploCo;
		$agency = $this->loan_model->get_agency_for_commission($agent_id);

		$data['loanID'] = $get->ploID;
		$data['client_id'] = $get->client_id;
		$data['sale_id'] = $get->ploSale;
		$data['agentID'] = $get->ploCo;
		$data['agentName'] = $agency->agency_name;
		$data['loanAmount'] = $get->loanAmount;
		$data['loanAmountOS'] = $get->loanAmountOS;
		$data['loanDiscount'] = $get->loanDiscount;
		$data['ploAgDiscount'] = $get->ploAgDiscount;
		$data['loanPercentPaid'] = $get->loanPercentPaid;
		echo json_encode($data);
	}

	public function cancel_payment($id){
		$get = $this->loan_model->get_for_commission($id);
		$data['loanID'] = $get->ploID;
		$data['client_id'] = $get->client_id;
		$data['sale_id'] = $get->ploSale;
		echo json_encode($data);
	}

	public function form_commission_edit($id){
		$get = $this->loan_model->get_for_commission($id);
		$get_comm = $this->loan_model->get_commission($id);
		$agent_id = $get->ploCo;
		$agency = $this->loan_model->get_agency_for_commission($agent_id);

		$data['loanID'] = $get->ploID;
		$data['client_id'] = $get->client_id;
		$data['pcsCommisionAmount'] = $get_comm->pcsCommisionAmount;
		$data['pcsID'] = $get_comm->pcsID;
		$data['sale_id'] = $get->ploSale;
		$data['agentID'] = $get->ploCo;
		$data['agentName'] = $agency->agency_name;
		$data['loanAmount'] = $get->loanAmount;
		$data['loanAmountOS'] = $get->loanAmountOS;
		$data['loanDiscount'] = $get->loanDiscount;
		$data['loanPercentPaid'] = $get->loanPercentPaid;
		echo json_encode($data);
	}
	public function file_upload(){
		$id = $_POST['id'];
		$path = 'upload/file/';
		if(!is_dir($path))mkdir($path,0777,TRUE);
		$extension = pathinfo($_FILES['file']['name'], PATHINFO_EXTENSION);
		$filename = basename($_FILES['file']['name'], '.'.$extension);
		$filename = empty($_FILES['file']['name']) ? "" : $filename.'-'.uniqid().'.'.$extension;
		move_uploaded_file($_FILES['file']['tmp_name'], $path.$filename);
		$getLoan = $this->loan_model->getLoan($id);
        $data = array(
					'PloanID' =>$id,
					'ploFileUpload' =>$filename,
					);
		$this->db->insert('nso007_upload_file', $data);
		redirect(site_url('loan/loan/view/'.$getLoan->ploClientID));
	}
	public function reschedule(){
		$loanID = $_POST['id'];
		$newBalance = $_POST['newBalance'];
		$interest = $_POST['interest'];
		$rescheduleDate = $_POST['rescheduleDate'];
		$by = $_POST['by'];
		$payPrinciple = $_POST['payPrinciple'];
		$duration = $_POST['duration'];
		$paymentStep = $_POST['paymentStep'];
		$fristPayDate = $_POST['fristPayDate'];
		$rescheduleDate = date('Y-m-d',strtotime($_POST['rescheduleDate']));
		// insert row reschedule
		$data = array(
			'plpLoanID' => $loanID,
			'plpDatePayment' => $rescheduleDate,
			'plpBy' => $by,
			'plpDes' => 'plpDes',
		);
		$this->db->insert('nso007_loan_process',$data);
		$loanprocess_id = $this->db->insert_id();
		// delete loan process
		$this->deleteLoanProcess($loanID);
		// pay principle
		if(!empty($payPrinciple)){
			$this->db->query("UPDATE nso007_loan SET ploAmountOS = ploAmountOS - $payPrinciple WHERE ploID = $loanID");
			$data_loan_paid = array(
				'plpaProcessID' => $loanID,
				'plpaPayment' => $rescheduleDate,
				'plpaPrincple' => $payPrinciple,
				'plpaTotal' => $payPrinciple,
				'plpaBy' => $by,
				'plpaType' => 4,
			);
			$this->db->insert('nso007_loan_paid',$data_loan_paid);

		$des = 'Reschedule:'.$loanID;
		$data = array(
					'pjnPID'=>0,
					'pjnAccCode'=>10000,
					'pjnType'=>10,
					'pjnDr'=>$payPrinciple,
					'pjnDateTransaction'=>date('Y-m-d H:i:s'),
					'pjnDatePay'=>date('Y-m-d',strtotime($_POST['rescheduleDate'])),
					'pjnDes'=>$des,
					'pjnBy'=>$_POST['by'],
					'pjnCurrency'=>1,
					'pjnRefID'=>$loanID,
			);

			$this->db->insert('nso007_jounal', $data);
			$insert_id = $this->db->insert_id();

			$data1 =array(
						'pjnPID'=>$insert_id,
						'pjnAccCode'=>11000,
						'pjnType'=>10,
						'pjnCr'=>$payPrinciple,
						'pjnDateTransaction'=>date('Y-m-d H:i:s'),
						'pjnDatePay'=>date('Y-m-d',strtotime($_POST['rescheduleDate'])),
						'pjnDes'=>$des,
						'pjnBy'=>$_POST['by'],
						'pjnCurrency'=>1,
						'pjnRefID'=>$loanID,
			);
			$this->db->insert('nso007_jounal', $data1);
		}

		if(!empty($newBalance)){
			$this->db->query("UPDATE nso007_loan SET ploAmount = ploAmount + $newBalance, ploAmountOS = ploAmountOS + $newBalance WHERE ploID = $loanID");

		}

		$getLoan = $this->loan_model->getLoan($loanID);
		$type = $getLoan->ploType;

		$paid_last = $this->loan_process_model->paidLast($loanID);


		$data_loan = array(
			'ploAmount' => $getLoan->ploAmountOS,
			'ploDuration' => $duration,
			'ploInterest' => $interest,
			'ploFristPayDate' => $fristPayDate,
			'no' => $paid_last->plpNo,

		);

		if($type == 1){
			$this->interest_simple($data_loan,$loanID);
		}elseif($type == 3){
			$this->interest_standard($data_loan,$loanID);
		}elseif($type == 2){
			$this->interest_installment($data_loan,$loanID);
		}elseif($type == 4){
			$this->interest_eoc($data_loan,$loanID);
		}

		redirect(site_url('loan/loan/view/'.$getLoan->ploClientID));
	}
	public function deleteLoanProcess($loanID){
		$this->db->query("DELETE FROM nso007_loan_process WHERE plpDes is null and plpPaid is null and plpLoanID = $loanID");
	}
	public function form_payoff($id){
		$getLoan = $this->loan_model->getID($id);
		$data['amountOS'] = $getLoan->currency.''.floatval(preg_replace('/[^\d.]/', '', $getLoan->ploAmountOS));
		echo json_encode($data);
	}
	public function frm_pay_off($id){
		$data = $this->loan_process_model->notPay($id);
		$form = '';
		$total_interest = 0;
		$total_principle = 0;
		foreach($data as $row){
			$currency = $row['pdwNameFull'];
			$principle = $row['plpPrinciple'];
			$interest = $row['plpInterest'];
			$total_principle += $principle;
			$total_interest += $interest;
			$form .= '
				<tr>
					<td>
						<input type="text" class="form-control" value="'.$row['plpNo'].'" readonly>
						<input type="hidden" class="form-control" value="'.$row['plpID'].'" readonly>
					</td>
					<td><input type="text" class="form-control" name="date[]" value="'.date('d-m-Y',strtotime($row['plpDatePayment'])).'" readonly></td>
					<td>
						<div class="input-group">
							<span class="input-group-addon"><i class=""></i>'.$currency.'</span>
							<input type="text" name="principle[]" value="'.$principle.'" class="form-control principle" readonly="readonly">
						</div>
					</td>
					<td>
						<div class="input-group">
							<span class="input-group-addon"><i class=""></i>'.$currency.'</span>
							<input type="text" name="interest[]" value="'.$interest.'" class="form-control interest">
						</div>
					</td>
					<td>
						<div class="input-group">
							<span class="input-group-addon"><i class=""></i>'.$currency.'</span>
							<input type="text" name="owe[]" value="'.$row['plpOwe'].'" class="form-control owe" readonly="readonly">
						</div>
					</td>
				</tr>
			';
		}
		$form .= '<tr>
					<td colspan="4" align="right">'.zphrase('Total Interest').'</td>
					<td align="right">'.$currency.number_format($total_interest,2).'</td>
				</tr>
				<tr>
					<td colspan="4" align="right">'.zphrase('Total Principle').'</td>
					<td align="right">'.$currency.number_format($total_principle,2).'</td>
				</tr>
				<tr>
					<td colspan="4" align="right">'.zphrase('Total').'</td>
					<td align="right">'.$currency.number_format(($total_interest+$total_principle),2).'</td>
				</tr>
				<tr>
					<td colspan="4" align="right">'.zphrase('Description').'</td>
					<td align="right">
					   <textarea name="description" rows="4" class="form-control"></textarea>
					</td>
				</tr>
				';

		$script = '
			<script>
				$(document).ready(function(){
					$(".interest").change(function(){
						var tr = $(this).closest("tr");
						var interest = tr.find("input.interest").val();
						var principle = tr.find("input.principle").val();
						console.log(principle);
						var total = parseFloat(principle) + parseFloat(interest);

						tr.find("input.owe").val(total);
						totalpayment();
					});
					function totalpayment(){
						var curency = "'.$currency.'";
						var payment = 0;
						var interest = 0;
						$("#frmPayOffSlip input.owe").each(function() {
							payment += parseFloat($(this).val());
						});
						$("#frmPayOffSlip input.interest").each(function() {
							interest += parseFloat($(this).val());
						});

						var total = payment;
						$("td#interest").html(curency+interest);
						//$("td#totalpayoffgrantotal").html(curency+total);
						//$("input#hiddentotalInterest").val(interest);
						//$("input#hiddengrantPayment").val(total);

				}

				});
			</script>
		';
		echo $form.$script;
	}
	public function save_payoff(){


		$loanID = $_POST['id_payoff'];
		$loan = $this->loan_model->getLoan($loanID);

        $sale_amount_main = $loan->ploAmount - $loan->ploDiscount;


        $des = $loan->ppjName.', '.$loan->pctName.', '.$loan->items.' (Pay Off)';

        $total_principle = array_sum($_POST['principle']);
        $total_interest = array_sum($_POST['interest']);
        $total_owe = array_sum($_POST['owe']);
		$description=$_POST['description'];

        $com_to = $this->db->query("
                SELECT pcsID, pcspercentagePay,
                pcsSaleAmount,
                pcsCommisionAmount,
                ploAmountOS,
                pcsPaidAmount, 
                ploDiscount,
                pcsCommisionWithdraw,
                pcsCommission
                FROM nso007_commission 
                INNER JOIN nso007_loan AS loan ON nso007_commission.pcsLoanID = loan.ploID
                WHERE pcsSaleID = $loan->ploSale
            ");
        $com_to = $com_to->row();

        $com_pay=($total_principle*40)/100;
        $t_commis=$com_to->pcsCommisionWithdraw+$com_to->pcsCommission;
        $commis_amount=$com_to->pcsCommisionAmount;
        $sum_com=$com_pay+$com_to->pcsCommission+$com_to->pcsCommisionWithdraw;
        $addsum_com=$com_pay+$com_to->pcsCommission;

        if($t_commis == $commis_amount){
            $add_compay=$com_to->pcsCommission;
        }elseif($sum_com < $commis_amount){
            $add_compay=$addsum_com;
        }else{
            $sum_all=$sum_com-$commis_amount;
            $sum_all1=$sum_com-$sum_all;
            $sum_all2=$sum_all1-$t_commis;
            $add_compay=$sum_all2+$com_to->pcsCommission;
        }
        $this->db->query("UPDATE nso007_commission SET pcsCommission = $add_compay WHERE pcsSaleID = $loan->ploSale");


        $this->db->query("DELETE FROM nso007_loan_process WHERE plpDes is null and (plpPaid is null or plpPaid = 2) and plpLoanID = $loanID");
		//update loan
		$this->db->query("UPDATE nso007_loan SET ploAmountOS = 0,ploStatus = 2  WHERE ploID = $loanID");


		$data = array(
					'pjnPID'=>0,
					'pjnAccCode'=>10000,
					'pjnType'=>11,
					'pjnDr'=>$total_owe,
					'pjnDateTransaction'=>date('Y-m-d H:i:s'),
					'pjnDatePay'=>date('Y-m-d'),
					'pjnDes'=>$des,
					'pjnBy'=>$this->session->userdata['logged_in']['pliID'],
					'pjnCurrency'=>1,
					'pjnRefID'=>$loanID,
					'pjnDesPayOff'=>$description,
			);

			$this->db->insert('nso007_jounal', $data);
			$insert_id = $this->db->insert_id();

			$data1 =array(
						'pjnPID'=>$insert_id,
						'pjnAccCode'=>11000,
						'pjnType'=>11,
						'pjnCr'=>$total_principle,
						'pjnDateTransaction'=>date('Y-m-d H:i:s'),
						'pjnDatePay'=>date('Y-m-d'),
						'pjnDes'=>$des,
						'pjnBy'=>$this->session->userdata['logged_in']['pliID'],
						'pjnCurrency'=>1,
						'pjnRefID'=>$loanID,
				'pjnDesPayOff'=>$description,
			);
			$this->db->insert('nso007_jounal', $data1);

			$data2 =array(
						'pjnPID'=>$insert_id,
						'pjnAccCode'=>40001,
						'pjnType'=>11,
						'pjnCr'=>$total_interest,
						'pjnDateTransaction'=>date('Y-m-d H:i:s'),
						'pjnDatePay'=>date('Y-m-d'),
						'pjnDes'=>$des,
						'pjnBy'=>$this->session->userdata['logged_in']['pliID'],
						'pjnCurrency'=>1,
						'pjnRefID'=>$loanID,
						'pjnDesPayOff'=>$description,
			);
			$this->db->insert('nso007_jounal', $data2);
            $paypercent = $total_owe * 100 / $sale_amount_main;
            $this->db->query("UPDATE nso007_loan SET plopercentagePay = plopercentagePay + $paypercent WHERE ploID = $loanID");
            $this->db->query("UPDATE nso007_commission SET pcspercentagePay = pcspercentagePay + $paypercent WHERE pcsSaleID = $loan->ploSale");

		redirect(site_url('loan/loan/view/'.$loan->ploClientID));
	}
	public function save_cancel(){


		$loanID = $_POST['loanID'];
		$sale_id = $_POST['sale_id'];
		$client_id = $_POST['client_id'];
		$note = $_POST['note'];
		$do_date = date('Y-m-d',strtotime($_POST['do_date']));
		$by = $_POST['by'];
//		print_r($note.$do_date.$by);exit();
		$datades = $this->db->query("
				SELECT psdItemID
				FROM nso007_sale_detail_stock AS sale_detail
				WHERE sale_detail.psdSaleID = $sale_id 
			");
		$mydes = $datades->result_array();

		foreach($mydes as $row){

			$itemID = $row['psdItemID'];
			$data = array(

				'piStockStatus' => 1,

				'piSaleStatus' => 0,

			);

			$this->db->where('piID',$itemID);

			$this->db->update('nso007_item_stock', $data);


		}
		$this->db->query("UPDATE nso007_loan SET 
												ploCancel = 1 , 
												ploNote = '$note', 
												ploCancelBy = $by , 
												ploDateCancel = '$do_date'
						   WHERE ploID = $loanID");
		$this->db->query("UPDATE nso007_commission SET pcsCancel = 1 , pcsDateCancel = '$do_date' WHERE pcsLoanID = $loanID");
		$this->db->query("DELETE FROM nso007_loan_process WHERE plpActivity is null  and plpPaid is null  and plpLoanID = $loanID");
		$client = $this->db->query("
				SELECT COUNT(ploClientID) AS total,ploCancel
				FROM nso007_loan AS loan
				WHERE loan.ploClientID = $client_id and ploCancel is null 
			");
		$mycl = $client->row();
		if ($mycl->total <= 0){
			$data = array(

				'pclPOS' => 0

			);

			$this->db->where('pclID',$client_id);

			$this->db->update('nso007_client', $data);
		}
		redirect(site_url('loan/loan/view/'.$client_id));
	}
	public function payment($id){
		$get = $this->loan_process_model->get($id);
		$form = '';
		foreach($get as $row){

			$form .= '
					<tr pd="'.$row['plpID'].'">
						<td>'.$row['plpID'].'</td>
						<td>'.$row['plpID'].'</td>
						<td>'.$row['plpID'].'</td>
						<td>'.$row['plpID'].'</td>
						<td>'.$row['plpID'].'</td>
						<td>'.$row['plpID'].'</td>
						<td>'.$row['plpID'].'</td>
						<td><a class="btn btn-xs purple" data-toggle="modal" href="#pay" onclick="pay(this)"><i class="fa fa-money"></i></a></td>
					</tr>
				';
		}
		echo $form;
	}
	public function pay($id){
		$get = $this->loan_process_model->pay($id);
		$payment_pay = number_format(($get->plpInterestPay + $get->plpPrinciplePay),2);
		$data['interest'] = $get->interest;
		$data['principle'] = $get->principle;
		$data['payment'] = floatval(preg_replace('/[^\d.]/', '', $payment_pay));
		$data['datepayment'] = date('d-m-Y',strtotime($get->plpDatePayment));

		echo json_encode($data);
	}
	public function frm_pay(){
		
		//var_dump($_POST);
		$condition = $_POST['condition'];

		$data = array(
			'id' => $_POST['id'],
			'payment' => $_POST['payment'],
			'panaty' => $_POST['panaty'],
			'datepayment' => date('Y-m-d',strtotime($_POST['datepayment'])),
			'by' => $_POST['by'],
			'invoice' => $_POST['invoice'],
			'principle' => $_POST['principlepay'],
			'interest' => $_POST['interestpay'],
			'remark' => $_POST['remark'],
		);
        $plp_id__ = $data['id'];
		if($condition == 1){
			$status['message'] = $this->none_payment($data);
		}elseif($condition == 2){
			$status['message'] = $this->next_payment($data);
		}elseif($condition == 3){
			$status['message'] = $this->end_payment($data);
		}
        $get_loan_id = $this->db->query("SELECT plpLoanID FROM nso007_loan_process WHERE plpID = $plp_id__");
        $id_loan__ = $get_loan_id->row();
        $loan_id___ = $id_loan__->plpLoanID;

        $get_max_id = $this->db->query("SELECT max(plpNo) AS plp_last_number FROM nso007_loan_process WHERE plpLoanID = $loan_id___");
        $get_max_id = $get_max_id->row();
        $max_id___ = $get_max_id->plp_last_number;

        $check_loan_ = $this->db->query("SELECT plpActivity, plpOwePay, plpPaid FROM nso007_loan_process WHERE plpLoanID = $loan_id___ AND plpNo = $max_id___");
        $check_loan___ = $check_loan_->row();
        $check_plpOwePay__ = $check_loan___->plpOwePay;
        $check_plpActivity__ = $check_loan___->plpActivity;
        $check_plpPaid__ = $check_loan___->plpPaid;

        if (($check_plpOwePay__ == 0 OR $check_plpOwePay__ < 1) AND (!empty($check_plpActivity__) OR $check_plpActivity__ == 1) AND (!empty($check_plpPaid__) OR $check_plpPaid__ == 1)) {
            $this->db->query("UPDATE nso007_loan SET ploStatus = 2  WHERE ploID = $loan_id___");
        }
		echo json_encode($status);
	}
	public function none_payment($data){

		extract($data);
		$get = $this->loan_process_model->pay($id);

		$datades = $this->db->query("
				SELECT project.ppjName AS pro_des, 
				category.pctName AS cat_des, 
				GROUP_CONCAT(item.piItemCode SEPARATOR ' & ') AS itm_des, 
				lprocess.plpNo AS lpro_des
				FROM nso007_loan_process AS lprocess
				LEFT JOIN nso007_loan AS loan ON lprocess.plpLoanID = loan.ploID
				LEFT JOIN nso007_client AS client ON loan.ploClientID = client.pclID
				LEFT JOIN nso007_sale_detail_stock AS stock ON loan.ploSale = stock.psdSaleID
				LEFT JOIN nso007_item_stock AS item ON stock.psdItemID = item.piID
				LEFT JOIN nso007_project_stock AS project ON item.piProject = project.ppjID
				LEFT JOIN nso007_category_stock AS category ON item.piCatagory = category.pctID
				WHERE lprocess.plpID = $id
				GROUP BY stock.psdSaleID
			");
		$mydes = $datades->row();

		$project_des 	= 	$mydes->pro_des;
		$category_des 	= 	$mydes->cat_des;
		$item_des 		= 	$mydes->itm_des;
		$step_des 		= 	$mydes->lpro_des;
		$des 			= 	$project_des.', '.$category_des.', '.$item_des.' (Step:'.$step_des.')';
		
		$owe = $get->plpOwePay;
		$interest = $get->plpInterestPay;
		$principle = $get->plpPrinciplePay;
		$loanID = $get->plpLoanID;

		
		// select table loan
		$loan = $this->loan_model->getLoan($loanID);
		$loan_principle = $this->loan_model->get_loan_process($loanID);
		$loan_deposit = $this->loan_model->get_sale($loan->ploSale);
		$amountOS = $loan->ploAmountOS;

		
		$amount = $loan->ploAmount;
		$new_discount = $loan->ploDiscount;
		$ag_discount = $loan->ploAgDiscount;

		$new_main_amount = $amount - $new_discount-$ag_discount;

//		$amount_os = $loan->ploAmountOS;
//		$amount_total_paid = $new_main_amount - $amount_os;
//		$percentage_pay = ($amount_total_paid * 100) / $new_main_amount;
//
//		$durring_pay_percentage = ($payment * 100) / $new_main_amount;
//		$sum_total_pay_percentage = $durring_pay_percentage + $percentage_pay;
//
        $ploSale = $loan->ploSale;

        $per=($loan_principle*100)/$new_main_amount;
        $per_deposit=($loan_deposit*100)/$new_main_amount;
        $total=$per+$per_deposit;

        $com_to = $this->db->query("
                SELECT pcsID, pcspercentagePay,
                pcsSaleAmount,
                pcsCommisionAmount,
                ploAmountOS,
                pcsPaidAmount, 
                ploDiscount,
                pcsCommisionWithdraw,
                pcsCommission
                FROM nso007_commission 
                INNER JOIN nso007_loan AS loan ON nso007_commission.pcsLoanID = loan.ploID
                WHERE pcsSaleID = $ploSale
            ");
        $com_to = $com_to->row();

        $com_pay=($payment*40)/100;
        $t_commis=$com_to->pcsCommisionWithdraw+$com_to->pcsCommission;
        $commis_amount=$com_to->pcsCommisionAmount;
        $sum_com=$com_pay+$com_to->pcsCommission+$com_to->pcsCommisionWithdraw;
        $addsum_com=$com_pay+$com_to->pcsCommission;

        if ($total >= 50){
			$add_compay=$commis_amount-$com_to->pcsCommisionWithdraw;
		}else{
			if($t_commis == $commis_amount){
				$add_compay=$com_to->pcsCommission;
			}elseif($sum_com < $commis_amount){
				$add_compay=$addsum_com;
			}else{
				$sum_all=$sum_com-$commis_amount;
				$sum_all1=$sum_com-$sum_all;
				$sum_all2=$sum_all1-$t_commis;
				$add_compay=$sum_all2+$com_to->pcsCommission;
			}
		}

        $this->db->query("UPDATE nso007_commission SET pcsCommission = $add_compay WHERE pcsSaleID = $ploSale");


		$paypercent = $payment * 100 / $new_main_amount;
		$this->db->query("UPDATE nso007_loan SET plopercentagePay = plopercentagePay + $paypercent WHERE ploID = $loanID");
		$this->db->query("UPDATE nso007_commission SET pcspercentagePay = pcspercentagePay + $paypercent WHERE pcsSaleID = $ploSale");

		$max_invoice = $this->db->query("SELECT MAX(plpa) as id FROM nso007_loan_paid");
		$max_id = $max_invoice->row();

		$cur_date=date('Y');

		$max_invoice = $this->db->query("SELECT plpaInvoiceNum FROM nso007_loan_paid where plpaPayment LIKE '".$cur_date."%' AND plpa=$max_id->id");
		$prefix =$max_invoice->row();


		$auto_invoice = '';
		if (empty($prefix)) {
			$auto_invoice = 1;
		} else {
			$invoice_code = explode('-', $prefix->plpaInvoiceNum);
			$auto_invoice = (int)$invoice_code[1] + 1;

		}
		$increas = date('Y') . '-' . str_pad($auto_invoice, 6, "0", STR_PAD_LEFT);

		$dodate_ = date('Y-m-d');

		if($payment > $owe){
			$status='big';
			return $status;
		}elseif($payment == $owe){
			$this->db->query("UPDATE nso007_loan_process
							SET
								plpInterestPay = 0,
								plpPrinciplePay = 0,
								plpOwePay = 0,
								plpDatePaid = '$datepayment',
								plpBy = $by,
								plpInvoice = '$invoice',
								plpPaid = 1,
								plpActivity = 1,
								plpNote = '$remark',
								plpCreatedDate = '$dodate_'
								WHERE plpID = $id");
			//update loan
			$this->db->query("UPDATE nso007_loan SET ploAmountOS = ploAmountOS - $principle WHERE ploID = $loanID");



			// table loan paid
			$paid = array(
					'plpaProcessID'=>$id,
					'plpaPayment'=>$datepayment,
					'plpaInterest'=>$interest,
					'plpaPrincple'=>$principle,
					'plpaPenalty'=>$panaty,
					'plpaTotal'=>$principle + $interest,
					'plpaBy'=>$by,
					'plpaInvoce'=>$invoice,
					'plpaInvoiceNum'=>$increas,
					'plpaType'=>1,
                    'plpaRemark'=>$remark,
			);



			$this->db->insert('nso007_loan_paid', $paid);
			// end loan paid
			
			// update loan payment complete
			if($amountOS == 0){ $this->db->query("UPDATE nso007_loan SET ploStatus = 2 WHERE ploID = $loanID"); }

			// $des = 'payment:'.$id;

			$data = array(
					'pjnPID'=>0,
					'pjnAccCode'=>10000,
					'pjnType'=>12,
					'pjnDr'=>$principle + $interest,
					'pjnDateTransaction'=>date('Y-m-d H:i:s'),
					'pjnDatePay'=>$datepayment,
					'pjnDes'=>$des,
					'pjnBy'=>$by,
					'pjnCurrency'=>1,
					'pjnRefID'=>$id,
			);

			$this->db->insert('nso007_jounal', $data);
			$insert_id = $this->db->insert_id();

			$data1 =array(
						'pjnPID'=>$insert_id,
						'pjnAccCode'=>11000,
						'pjnType'=>12,
						'pjnCr'=>$principle,
						'pjnDateTransaction'=>date('Y-m-d H:i:s'),
						'pjnDatePay'=>$datepayment,
						'pjnDes'=>$des,
						'pjnBy'=>$by,
						'pjnCurrency'=>1,
						'pjnRefID'=>$id,
			);
			$this->db->insert('nso007_jounal', $data1);

			$data2 =array(
						'pjnPID'=>$insert_id,
						'pjnAccCode'=>40001,
						'pjnType'=>12,
						'pjnCr'=>$interest,
						'pjnDateTransaction'=>date('Y-m-d H:i:s'),
						'pjnDatePay'=>$datepayment,
						'pjnDes'=>$des,
						'pjnBy'=>$by,
						'pjnCurrency'=>1,
						'pjnRefID'=>$id,
			);
			$this->db->insert('nso007_jounal', $data2);


		}elseif($payment < $interest){
			$this->db->query("UPDATE nso007_loan_process
							SET
								plpInterestPay = plpInterestPay - $payment,
								plpOwePay = plpOwePay - $payment,
								plpDatePaid = '$datepayment',
								plpBy = $by,
								plpInvoice = '$invoice',
								plpPaid = 2,
								plpActivity = 1,
								plpNote = '$remark',
								plpCreatedDate = '$dodate_'
								WHERE plpID = $id");

			// $des = 'payment:'.$id;

			$data = array(
					'pjnPID'=>0,
					'pjnAccCode'=>10000,
					'pjnType'=>12,
					'pjnDr'=>$payment,
					'pjnDateTransaction'=>date('Y-m-d H:i:s'),
					'pjnDatePay'=>$datepayment,
					'pjnDes'=>$des,
					'pjnBy'=>$by,
					'pjnCurrency'=>1,
					'pjnRefID'=>$id,
			);

			$this->db->insert('nso007_jounal', $data);
			$insert_id = $this->db->insert_id();

			$data2 =array(
						'pjnPID'=>$insert_id,
						'pjnAccCode'=>40001,
						'pjnType'=>12,
						'pjnCr'=>$payment,
						'pjnDateTransaction'=>date('Y-m-d H:i:s'),
						'pjnDatePay'=>$datepayment,
						'pjnDes'=>$des,
						'pjnBy'=>$by,
						'pjnCurrency'=>1,
						'pjnRefID'=>$id,
			);
			$this->db->insert('nso007_jounal', $data2);

		}elseif($payment < ($principle + $interest)){
			$principlePay = $payment - $interest;
			$this->db->query("UPDATE nso007_loan_process
							SET
								plpInterestPay = 0,
								plpPrinciplePay = plpPrinciplePay - $principlePay,
								plpOwePay = plpOwePay - $payment,
								plpDatePaid = '$datepayment',
								plpBy = $by,
								plpInvoice = '$invoice',
								plpPaid = 2,
								plpActivity = 1,
								plpNote = '$remark',
								plpCreatedDate = '$dodate_'
								WHERE plpID = $id");
			//update loan
			$this->db->query("UPDATE nso007_loan SET ploAmountOS = ploAmountOS - $principlePay WHERE ploID = $loanID");

			// $des = 'payment:'.$id;
            $paid = array(
                'plpaProcessID'=>$id,
                'plpaPayment'=>$datepayment,
                'plpaInterest'=>$interest,
                'plpaPrincple'=>$payment,
                'plpaPenalty'=>$panaty,
                'plpaTotal'=>$payment + $interest,
                'plpaBy'=>$by,
                'plpaInvoce'=>$invoice,
				'plpaInvoiceNum'=>$increas,
                'plpaType'=>1,
                'plpaRemark'=>$remark,
            );



            $this->db->insert('nso007_loan_paid', $paid);
			$data = array(
					'pjnPID'=>0,
					'pjnAccCode'=>10000,
					'pjnType'=>12,
					'pjnDr'=>$payment,
					'pjnDateTransaction'=>date('Y-m-d H:i:s'),
					'pjnDatePay'=>$datepayment,
					'pjnDes'=>$des,
					'pjnBy'=>$by,
					'pjnCurrency'=>1,
					'pjnRefID'=>$id,
			);

			$this->db->insert('nso007_jounal', $data);
			$insert_id = $this->db->insert_id();

			$data1 =array(
						'pjnPID'=>$insert_id,
						'pjnAccCode'=>11000,
						'pjnType'=>12,
						'pjnCr'=>$principlePay,
						'pjnDateTransaction'=>date('Y-m-d H:i:s'),
						'pjnDatePay'=>$datepayment,
						'pjnDes'=>$des,
						'pjnBy'=>$by,
						'pjnCurrency'=>1,
						'pjnRefID'=>$id,
			);
			$this->db->insert('nso007_jounal', $data1);

			$data2 =array(
						'pjnPID'=>$insert_id,
						'pjnAccCode'=>40001,
						'pjnType'=>12,
						'pjnCr'=>$interest,
						'pjnDateTransaction'=>date('Y-m-d H:i:s'),
						'pjnDatePay'=>$datepayment,
						'pjnDes'=>$des,
						'pjnBy'=>$by,
						'pjnCurrency'=>1,
						'pjnRefID'=>$id,
			);
			$this->db->insert('nso007_jounal', $data2);
		}

		if (!empty($panaty)) {
			$data =array(
						'pjnPID'=>0,
						'pjnAccCode'=>40002,
						'pjnType'=>40,
						'pjnCr'=>$panaty,
						'pjnDateTransaction'=>date('Y-m-d H:i:s'),
						'pjnDatePay'=>$datepayment,
						'pjnDes'=>($des." (Penalty)"),
						'pjnBy'=>$by,
						'pjnCurrency'=>1,
						'pjnRefID'=>$id,
			);
			$this->db->insert('nso007_jounal', $data);
			$insert_id = $this->db->insert_id();
			$data1 = array(
					'pjnPID'=>$insert_id,
					'pjnAccCode'=>10000,
					'pjnType'=>40,
					'pjnDr'=>$panaty,
					'pjnDateTransaction'=>date('Y-m-d H:i:s'),
					'pjnDatePay'=>$datepayment,
					'pjnDes'=>($des." (Penalty)"),
					'pjnBy'=>$by,
					'pjnCurrency'=>1,
					'pjnRefID'=>$id,
			);
			$this->db->insert('nso007_jounal', $data1);
		}

		$status = 'ok';
		
		return $status;
	}
	public function next_payment($data){
		extract($data);
		$get = $this->loan_process_model->pay($id);

		$datades = $this->db->query("
			SELECT project.ppjName AS pro_des, 
			category.pctName AS cat_des,
			lprocess.plpNo AS step_no,
			GROUP_CONCAT(item.piItemCode SEPARATOR ' & ') AS itm_des
			FROM nso007_loan_process AS lprocess
			LEFT JOIN nso007_loan AS loan ON lprocess.plpLoanID = loan.ploID
			LEFT JOIN nso007_client AS client ON loan.ploClientID = client.pclID
			LEFT JOIN nso007_sale_detail_stock AS stock ON loan.ploSale = stock.psdSaleID
			LEFT JOIN nso007_item_stock AS item ON stock.psdItemID = item.piID
			LEFT JOIN nso007_project_stock AS project ON item.piProject = project.ppjID
			LEFT JOIN nso007_category_stock AS category ON item.piCatagory = category.pctID
			WHERE lprocess.plpID = $id
			GROUP BY stock.psdSaleID
		");
		$mydes = $datades->row();

		$project_des 	= 	$mydes->pro_des;
		$category_des 	= 	$mydes->cat_des;
		$item_des 		= 	$mydes->itm_des;
		$step_no		=	$mydes->step_no;
		$des1 			= 	$project_des.', '.$category_des.', '.$item_des.' (Step:';
		$des2 			= 	$project_des.', '.$category_des.', '.$item_des.' (Step:'.$step_no.')';

		$owe = $get->plpOwePay;
		$interest = $get->plpInterestPay;
		$principle = $get->plpPrinciplePay;
		$loanID = $get->plpLoanID;
		
		// select table loan
		$loan = $this->loan_model->getLoan($loanID);
		$amountOS = $loan->ploAmountOS;
		$amount = $loan->ploAmount;
		$new_discount = $loan->ploDiscount;
		$ploSale = $loan->ploSale;


        $com_to = $this->db->query("
                SELECT pcsID, pcspercentagePay,
                pcsSaleAmount,
                pcsCommisionAmount,
                ploAmountOS,
                pcsPaidAmount, 
                ploDiscount,
                pcsCommisionWithdraw,
                pcsCommission
                FROM nso007_commission 
                INNER JOIN nso007_loan AS loan ON nso007_commission.pcsLoanID = loan.ploID
                WHERE pcsSaleID = $ploSale
            ");
        $com_to = $com_to->row();

        $com_pay=($payment*40)/100;
        $t_commis=$com_to->pcsCommisionWithdraw+$com_to->pcsCommission;
        $commis_amount=$com_to->pcsCommisionAmount;
        $sum_com=$com_pay+$com_to->pcsCommission+$com_to->pcsCommisionWithdraw;
        $addsum_com=$com_pay+$com_to->pcsCommission;

        if($t_commis == $commis_amount){
            $add_compay=$com_to->pcsCommission;
        }elseif($sum_com < $commis_amount){
            $add_compay=$addsum_com;
        }else{
            $sum_all=$sum_com-$commis_amount;
            $sum_all1=$sum_com-$sum_all;
            $sum_all2=$sum_all1-$t_commis;
            $add_compay=$sum_all2+$com_to->pcsCommission;
        }
        $this->db->query("UPDATE nso007_commission SET pcsCommission = $add_compay WHERE pcsSaleID = $ploSale");




        $new_main_amount = $amount - $new_discount;

		$paypercent = $payment * 100 / $new_main_amount;
		$this->db->query("UPDATE nso007_loan SET plopercentagePay = plopercentagePay + $paypercent WHERE ploID = $loanID");
		$this->db->query("UPDATE nso007_commission SET pcspercentagePay = pcspercentagePay + $paypercent WHERE pcsSaleID = $ploSale");


		$dodate_ = date('Y-m-d');

		if($payment > $owe){
			$amountOS = $payment ;
			$pay = false;
			while($pay == false) {
				$select = $this->db->query("SELECT * FROM nso007_loan_process
											WHERE plpLoanID = $loanID AND plpDes IS NULL AND (ISNULL(plpPaid) OR plpPaid = 2 ) LIMIT 1");
				$get1 = $select->row();
				$owe1 = $get1->plpOwe;
				$interest1 = $get1->plpInterest;
				$principle1 = $get1->plpPrinciple;
				$id1 = $get1->plpID;
				$no1 = $get1->plpNo;
				$des = $des1.$no1.')';
				if($amountOS > $owe1){
					// payment next
					$this->db->query("UPDATE nso007_loan_process
									SET
										plpInterestPay = 0,
										plpPrinciplePay = 0,
										plpOwePay = 0,
										plpDatePaid = '$datepayment',
										plpBy = $by,
										plpInvoice = '$invoice',
										plpPaid = 1,
										plpActivity = 2,
										plpNote = '$remark',
										plpCreatedDate = '$dodate_'
										WHERE plpID = $id1");

					$amountOS = $amountOS - $owe1;

					//update loan
					$this->db->query("UPDATE nso007_loan SET ploAmountOS = ploAmountOS - $principle1 WHERE ploID = $loanID");
				
					// table loan paid
					$paid = array(
							'plpaProcessID'=>$id1,
							'plpaPayment'=>$datepayment,
							'plpaInterest'=>$interest1,
							'plpaPrincple'=>$principle1,
							'plpaPenalty'=>$panaty,
							'plpaTotal'=>$principle1 + $interest1,
							'plpaBy'=>$by,
							'plpaInvoce'=>$invoice,
							'plpaType'=>2,
                            'plpaRemark'=>$remark,
					);
					
					$this->db->insert('nso007_loan_paid', $paid);
					// end loan paid

					// $des = 'payment:'.$id;

					$data = array(
							'pjnPID'=>0,
							'pjnAccCode'=>10000,
							'pjnType'=>12,
							'pjnDr'=>$principle1 + $interest1,
							'pjnDateTransaction'=>date('Y-m-d H:i:s'),
							'pjnDatePay'=>$datepayment,
							'pjnDes'=>$des,
							'pjnBy'=>$by,
							'pjnCurrency'=>1,
							'pjnRefID'=>$id,
					);

					$this->db->insert('nso007_jounal', $data);
					$insert_id = $this->db->insert_id();

					$data1 =array(
								'pjnPID'=>$insert_id,
								'pjnAccCode'=>11000,
								'pjnType'=>12,
								'pjnCr'=>$principle1,
								'pjnDateTransaction'=>date('Y-m-d H:i:s'),
								'pjnDatePay'=>$datepayment,
								'pjnDes'=>$des,
								'pjnBy'=>$by,
								'pjnCurrency'=>1,
								'pjnRefID'=>$id,
					);
					$this->db->insert('nso007_jounal', $data1);

					$data2 =array(
								'pjnPID'=>$insert_id,
								'pjnAccCode'=>40001,
								'pjnType'=>12,
								'pjnCr'=>$interest1,
								'pjnDateTransaction'=>date('Y-m-d H:i:s'),
								'pjnDatePay'=>$datepayment,
								'pjnDes'=>$des,
								'pjnBy'=>$by,
								'pjnCurrency'=>1,
								'pjnRefID'=>$id,
					);
					$this->db->insert('nso007_jounal', $data2);


					$pay = false;
				}elseif($amountOS == $owe1){
					$this->db->query("UPDATE nso007_loan_process
									SET
										plpInterestPay = 0,
										plpPrinciplePay = 0,
										plpOwePay = 0,
										plpDatePaid = '$datepayment',
										plpBy = $by,
										plpInvoice = '$invoice',
										plpPaid = 1,
										plpActivity = 2,
										plpNote = '$remark',
										plpCreatedDate = '$dodate_'
										WHERE plpID = $id1");

					$amountOS = $amountOS - $owe1;

					//update loan
					$this->db->query("UPDATE nso007_loan SET ploAmountOS = ploAmountOS - $principle1 WHERE ploID = $loanID");
					
					// table loan paid
					$paid = array(
							'plpaProcessID'=>$id1,
							'plpaPayment'=>$datepayment,
							'plpaInterest'=>$interest1,
							'plpaPrincple'=>$principle1,
							'plpaPenalty'=>$panaty,
							'plpaTotal'=>$principle1 + $interest1,
							'plpaBy'=>$by,
							'plpaInvoce'=>$invoice,
							'plpaType'=>2,
                            'plpaRemark'=>$remark,
					);
					
					$this->db->insert('nso007_loan_paid', $paid);
					// end loan paid
					
					// $des = 'payment:'.$id;

					$data = array(
							'pjnPID'=>0,
							'pjnAccCode'=>10000,
							'pjnType'=>12,
							'pjnDr'=>$principle1 + $interest1,
							'pjnDateTransaction'=>date('Y-m-d H:i:s'),
							'pjnDatePay'=>$datepayment,
							'pjnDes'=>$des,
							'pjnBy'=>$by,
							'pjnCurrency'=>1,
							'pjnRefID'=>$id,
					);

					$this->db->insert('nso007_jounal', $data);
					$insert_id = $this->db->insert_id();

					$data1 =array(
								'pjnPID'=>$insert_id,
								'pjnAccCode'=>11000,
								'pjnType'=>12,
								'pjnCr'=>$principle1,
								'pjnDateTransaction'=>date('Y-m-d H:i:s'),
								'pjnDatePay'=>$datepayment,
								'pjnDes'=>$des,
								'pjnBy'=>$by,
								'pjnCurrency'=>1,
								'pjnRefID'=>$id,
					);
					$this->db->insert('nso007_jounal', $data1);

					$data2 =array(
								'pjnPID'=>$insert_id,
								'pjnAccCode'=>40001,
								'pjnType'=>12,
								'pjnCr'=>$interest1,
								'pjnDateTransaction'=>date('Y-m-d H:i:s'),
								'pjnDatePay'=>$datepayment,
								'pjnDes'=>$des,
								'pjnBy'=>$by,
								'pjnCurrency'=>1,
								'pjnRefID'=>$id,
					);
					$this->db->insert('nso007_jounal', $data2);

					$pay = true;
				}elseif($amountOS < $owe1){
					if($amountOS < $interest1){
						$this->db->query("UPDATE nso007_loan_process
							SET
								plpInterestPay = plpInterestPay - $amountOS,
								plpOwePay = plpOwePay - $amountOS,
								plpDatePaid = '$datepayment',
								plpBy = $by,
								plpInvoice = '$invoice',
								plpPaid = 2,
								plpActivity = 2,
								plpNote = '$remark',
								plpCreatedDate = '$dodate_'
								WHERE plpID = $id1");

						// table loan paid
						$paid = array(
								'plpaProcessID'=>$id1,
								'plpaPayment'=>$datepayment,
								'plpaInterest'=>$amountOS,
								'plpaTotal'=>$amountOS,
								'plpaBy'=>$by,
								'plpaInvoce'=>$invoice,
								'plpaType'=>2,
                                'plpaRemark'=>$remark,
						);
						
						$this->db->insert('nso007_loan_paid', $paid);
						// end loan paid		
								
						// $des = 'payment:'.$id;

						$data = array(
								'pjnPID'=>0,
								'pjnAccCode'=>10000,
								'pjnType'=>12,
								'pjnDr'=>$amountOS,
								'pjnDateTransaction'=>date('Y-m-d H:i:s'),
								'pjnDatePay'=>$datepayment,
								'pjnDes'=>$des,
								'pjnBy'=>$by,
								'pjnCurrency'=>1,
								'pjnRefID'=>$id,
						);
						$this->db->insert('nso007_jounal', $data);
						$insert_id = $this->db->insert_id();
						$data2 =array(
									'pjnPID'=>$insert_id,
									'pjnAccCode'=>40001,
									'pjnType'=>12,
									'pjnCr'=>$amountOS,
									'pjnDateTransaction'=>date('Y-m-d H:i:s'),
									'pjnDatePay'=>$datepayment,
									'pjnDes'=>$des,
									'pjnBy'=>$by,
									'pjnCurrency'=>1,
									'pjnRefID'=>$id,
						);
						$this->db->insert('nso007_jounal', $data2);

					}elseif($amountOS < ($interest1 + $principle1)){
						$principlePay = $amountOS - $interest1;
						$this->db->query("UPDATE nso007_loan_process
							SET
								plpInterestPay = 0,
								plpPrinciplePay = plpPrinciplePay - $principlePay,
								plpOwePay = plpOwePay - $amountOS,
								plpDatePaid = '$datepayment',
								plpBy = $by,
								plpInvoice = '$invoice',
								plpPaid = 2,
								plpActivity = 2,
								plpNote = '$remark',
								plpCreatedDate = '$dodate_'
								WHERE plpID = $id1");

						//update loan
						$this->db->query("UPDATE nso007_loan SET ploAmountOS = ploAmountOS - $principlePay WHERE ploID = $loanID");

						
						$paid = array(
								'plpaProcessID'=>$id1,
								'plpaPayment'=>$datepayment,
								'plpaInterest'=>$interest1,
								'plpaPenalty'=>$panaty,
								'plpaPrincple'=>$principlePay,
								'plpaTotal'=>$amountOS,
								'plpaBy'=>$by,
								'plpaInvoce'=>$invoice,
								'plpaType'=>2,
                                'plpaRemark'=>$remark,
						);
						$this->db->insert('nso007_loan_paid', $paid);
						
						
						// $des = 'payment:'.$id;

						$data = array(
								'pjnPID'=>0,
								'pjnAccCode'=>10000,
								'pjnType'=>12,
								'pjnDr'=>$amountOS,
								'pjnDateTransaction'=>date('Y-m-d H:i:s'),
								'pjnDatePay'=>$datepayment,
								'pjnDes'=>$des,
								'pjnBy'=>$by,
								'pjnCurrency'=>1,
								'pjnRefID'=>$id,
						);
						$this->db->insert('nso007_jounal', $data);
						$insert_id = $this->db->insert_id();

						$data1 =array(
									'pjnPID'=>$insert_id,
									'pjnAccCode'=>11000,
									'pjnType'=>12,
									'pjnCr'=>$principlePay,
									'pjnDateTransaction'=>date('Y-m-d H:i:s'),
									'pjnDatePay'=>$datepayment,
									'pjnDes'=>$des,
									'pjnBy'=>$by,
									'pjnCurrency'=>1,
									'pjnRefID'=>$id,
						);
						$this->db->insert('nso007_jounal', $data1);
						$data2 =array(
									'pjnPID'=>$insert_id,
									'pjnAccCode'=>40001,
									'pjnType'=>12,
									'pjnCr'=>$interest1,
									'pjnDateTransaction'=>date('Y-m-d H:i:s'),
									'pjnDatePay'=>$datepayment,
									'pjnDes'=>$des,
									'pjnBy'=>$by,
									'pjnCurrency'=>1,
									'pjnRefID'=>$id,
						);
						$this->db->insert('nso007_jounal', $data2);

					}

					$pay = true;
				}
			}
		}else{
			$loanprocess = $this->loan_process_model->pay($id);
			$amountOS = $owe - $payment;
			$principleOS = $payment - $principle;

			// update loan process frist
			$this->db->query("UPDATE nso007_loan_process
							SET
								plpInterestPay = 0,
								plpPrinciplePay = 0,
								plpOwePay = 0,
								plpDatePaid = '$datepayment',
								plpBy = $by,
								plpInvoice = '$invoice',
								plpPaid = 1,
								plpActivity = 2,
								plpNote = '$remark',
								plpCreatedDate = '$dodate_'
								WHERE plpID = $id");

			// table loan paid
			$paid_f = array(
					'plpaProcessID'=>$id,
					'plpaPayment'=>$datepayment,
					'plpaPrincple'=>$principle,
					'plpaInterest'=>$interest,
					'plpaTotal'=>$amountOS,
					'plpaBy'=>$by,
					'plpaInvoce'=>$invoice,
					'plpaType'=>2,
                    'plpaRemark'=>$remark,

			);
			
			$this->db->insert('nso007_loan_paid', $paid_f);
			// end loan paid
			
								
			// select next payment loan process
			$select = $this->db->query("SELECT * FROM nso007_loan_process
											WHERE plpLoanID = $loanID AND plpDes IS NULL AND (ISNULL(plpPaid) OR plpPaid = 2 ) LIMIT 1");
			$get1 = $select->row();
			$id1 = $get1->plpID;
			$no1 = $get1->plpNo;
			$des = $des1.$no1.')';
			// update loan process next
			$this->db->query("UPDATE nso007_loan_process
							SET
								plpPrinciplePay = plpPrinciplePay + $amountOS,
								plpOwePay = plpOwePay + $amountOS,
								plpDatePaid = '$datepayment',
								plpBy = $by,
								plpInvoice = '$invoice',
								plpPaid = 2,
								plpActivity = 2,
								plpNote = '$remark',
								plpCreatedDate = '$dodate_'
								WHERE plpID = $id1");

			// table loan paid
			$paid = array(
					'plpaProcessID'=>$id1,
					'plpaPayment'=>$datepayment,
					'plpaPrincple'=>$amountOS,
					'plpaTotal'=>$amountOS,
					'plpaBy'=>$by,
					'plpaInvoce'=>$invoice,
					'plpaType'=>2,
                    'plpaRemark'=>$remark,
			);
			
			$this->db->insert('nso007_loan_paid', $paid);
			// end loan paid
			
			// $des = 'payment:'.$id;

			$data = array(
					'pjnPID'=>0,
					'pjnAccCode'=>10000,
					'pjnType'=>12,
					'pjnDr'=>$amountOS,
					'pjnDateTransaction'=>date('Y-m-d H:i:s'),
					'pjnDatePay'=>$datepayment,
					'pjnDes'=>$des,
					'pjnBy'=>$by,
					'pjnCurrency'=>1,
					'pjnRefID'=>$id,
			);
			$this->db->insert('nso007_jounal', $data);
			$insert_id = $this->db->insert_id();

			$data1 =array(
						'pjnPID'=>$insert_id,
						'pjnAccCode'=>11000,
						'pjnType'=>12,
						'pjnCr'=>$amountOS,
						'pjnDateTransaction'=>date('Y-m-d H:i:s'),
						'pjnDatePay'=>$datepayment,
						'pjnDes'=>$des,
						'pjnBy'=>$by,
						'pjnCurrency'=>1,
						'pjnRefID'=>$id,
			);
			$this->db->insert('nso007_jounal', $data1);
		}

		if (!empty($panaty)) {
			$data =array(
						'pjnPID'=>0,
						'pjnAccCode'=>40002,
						'pjnType'=>40,
						'pjnCr'=>$panaty,
						'pjnDateTransaction'=>date('Y-m-d H:i:s'),
						'pjnDatePay'=>$datepayment,
						'pjnDes'=>($des2." (Penalty)"),
						'pjnBy'=>$by,
						'pjnCurrency'=>1,
						'pjnRefID'=>$id,
			);
			$this->db->insert('nso007_jounal', $data);
			$insert_id = $this->db->insert_id();
			$data1 = array(
					'pjnPID'=>$insert_id,
					'pjnAccCode'=>10000,
					'pjnType'=>40,
					'pjnDr'=>$panaty,
					'pjnDateTransaction'=>date('Y-m-d H:i:s'),
					'pjnDatePay'=>$datepayment,
					'pjnDes'=>($des2." (Penalty)"),
					'pjnBy'=>$by,
					'pjnCurrency'=>1,
					'pjnRefID'=>$id,
			);
			$this->db->insert('nso007_jounal', $data1);
		}
		$status = 'ok';
		return $status;
	}
    public function end_payment($data){
        extract($data);
        $get = $this->loan_process_model->pay($id);

        $owe = $get->plpOwePay;
        $interest = $get->plpInterestPay;
        $principle = $get->plpPrinciplePay;
        $loanID = $get->plpLoanID;

        if($payment > $owe){


            $amountOS = $payment ;

            $pay = false;
            while($pay == false){
                $select = $this->db->query("SELECT * FROM nso007_loan_process
											WHERE plpLoanID = $loanID AND plpDes IS NULL AND (ISNULL(plpPaid) OR plpPaid = 2 ) order by plpID DESC LIMIT 1");
                $get1 = $select->row();
                $owe1 = $get1->plpOwe;
                $interest1 = $get1->plpInterest;
                $principle1 = $get1->plpPrinciple;
                $id1 = $get1->plpID;



                if($amountOS > $owe1){
                    // payment next
                    $this->db->query("UPDATE nso007_loan_process
									SET
										plpInterestPay = 0,
										plpPrinciplePay = 0,
										plpOwePay = 0,
										plpDatePaid = '$datepayment',
										plpBy = $by,
										plpInvoice = '$invoice',
										plpPaid = 1,
										plpActivity = 2
										WHERE plpID = $id1");

                    $amountOS = $amountOS - $owe1;

                    //update loan
                    $this->db->query("UPDATE nso007_loan SET ploAmountOS = ploAmountOS - $principle1 WHERE ploID = $loanID");
					$get_payment = $this->loan_process_model->get_payment_des($id_for_des);

					$des = $get_payment->pclName.', Item Code: '.$get_payment->piItemCode.', Payment Step: '.$get_payment->plpNo;

                    $data = array(
                        'pjnPID'=>0,
                        'pjnAccCode'=>10000,
                        'pjnType'=>12,
                        'pjnDr'=>$principle + $interest,
                        'pjnDateTransaction'=>date('Y-m-d H:i:s'),
                        'pjnDatePay'=>$datepayment,
                        'pjnDes'=>$des,
                        'pjnBy'=>$by,
                        'pjnCurrency'=>1,
                        'pjnRefID'=>$id,
                    );

                    $this->db->insert('nso007_jounal', $data);
                    $insert_id = $this->db->insert_id();

                    $data1 =array(
                        'pjnPID'=>$insert_id,
                        'pjnAccCode'=>11000,
                        'pjnType'=>12,
                        'pjnCr'=>$principle,
                        'pjnDateTransaction'=>date('Y-m-d H:i:s'),
                        'pjnDatePay'=>$datepayment,
                        'pjnDes'=>$des,
                        'pjnBy'=>$by,
                        'pjnCurrency'=>1,
                        'pjnRefID'=>$id,
                    );
                    $this->db->insert('nso007_jounal', $data1);

                    $data2 =array(
                        'pjnPID'=>$insert_id,
                        'pjnAccCode'=>40001,
                        'pjnType'=>12,
                        'pjnCr'=>$interest,
                        'pjnDateTransaction'=>date('Y-m-d H:i:s'),
                        'pjnDatePay'=>$datepayment,
                        'pjnDes'=>$des,
                        'pjnBy'=>$by,
                        'pjnCurrency'=>1,
                        'pjnRefID'=>$id,
                    );
                    $this->db->insert('nso007_jounal', $data2);


                    $pay = false;

                }elseif($amountOS == $owe1){
                    $this->db->query("UPDATE nso007_loan_process
									SET
										plpInterestPay = 0,
										plpPrinciplePay = 0,
										plpOwePay = 0,
										plpDatePaid = '$datepayment',
										plpBy = $by,
										plpInvoice = '$invoice',
										plpPaid = 1,
										plpActivity = 2
										WHERE plpID = $id1");

                    $amountOS = $amountOS - $owe1;

                    //update loan
                    $this->db->query("UPDATE nso007_loan SET ploAmountOS = ploAmountOS - $principle1 WHERE ploID = $loanID");
					$get_payment = $this->loan_process_model->get_payment_des($id_for_des);

					$des = $get_payment->pclName.', Item Code: '.$get_payment->piItemCode.', Payment Step: '.$get_payment->plpNo;

                    $data = array(
                        'pjnPID'=>0,
                        'pjnAccCode'=>10000,
                        'pjnType'=>12,
                        'pjnDr'=>$principle + $interest,
                        'pjnDateTransaction'=>date('Y-m-d H:i:s'),
                        'pjnDatePay'=>$datepayment,
                        'pjnDes'=>$des,
                        'pjnBy'=>$by,
                        'pjnCurrency'=>1,
                        'pjnRefID'=>$id,
                    );

                    $this->db->insert('nso007_jounal', $data);
                    $insert_id = $this->db->insert_id();

                    $data1 =array(
                        'pjnPID'=>$insert_id,
                        'pjnAccCode'=>11000,
                        'pjnType'=>12,
                        'pjnCr'=>$principle,
                        'pjnDateTransaction'=>date('Y-m-d H:i:s'),
                        'pjnDatePay'=>$datepayment,
                        'pjnDes'=>$des,
                        'pjnBy'=>$by,
                        'pjnCurrency'=>1,
                        'pjnRefID'=>$id,
                    );
                    $this->db->insert('nso007_jounal', $data1);

                    $data2 =array(
                        'pjnPID'=>$insert_id,
                        'pjnAccCode'=>40001,
                        'pjnType'=>12,
                        'pjnCr'=>$interest,
                        'pjnDateTransaction'=>date('Y-m-d H:i:s'),
                        'pjnDatePay'=>$datepayment,
                        'pjnDes'=>$des,
                        'pjnBy'=>$by,
                        'pjnCurrency'=>1,
                        'pjnRefID'=>$id,
                    );
                    $this->db->insert('nso007_jounal', $data2);

                    $pay = true;

                }elseif($amountOS < $owe1){
                    if($amountOS < $interest1){
                        $this->db->query("UPDATE nso007_loan_process
							SET
								plpInterestPay = plpInterestPay - $amountOS,
								plpOwePay = plpOwePay - $amountOS,
								plpDatePaid = '$datepayment',
								plpBy = $by,
								plpInvoice = '$invoice',
								plpPaid = 2,
								plpActivity = 2
								WHERE plpID = $id1");
						$get_payment = $this->loan_process_model->get_payment_des($id_for_des);

						$des = $get_payment->pclName.', Item Code: '.$get_payment->piItemCode.', Payment Step: '.$get_payment->plpNo;

                        $data = array(
                            'pjnPID'=>0,
                            'pjnAccCode'=>10000,
                            'pjnType'=>12,
                            'pjnDr'=>$amountOS,
                            'pjnDateTransaction'=>date('Y-m-d H:i:s'),
                            'pjnDatePay'=>$datepayment,
                            'pjnDes'=>$des,
                            'pjnBy'=>$by,
                            'pjnCurrency'=>1,
                            'pjnRefID'=>$id,
                        );
                        $this->db->insert('nso007_jounal', $data);
                        $insert_id = $this->db->insert_id();
                        $data2 =array(
                            'pjnPID'=>$insert_id,
                            'pjnAccCode'=>40001,
                            'pjnType'=>12,
                            'pjnCr'=>$amountOS,
                            'pjnDateTransaction'=>date('Y-m-d H:i:s'),
                            'pjnDatePay'=>$datepayment,
                            'pjnDes'=>$des,
                            'pjnBy'=>$by,
                            'pjnCurrency'=>1,
                            'pjnRefID'=>$id,
                        );
                        $this->db->insert('nso007_jounal', $data2);

                    }elseif($amountOS < ($interest1 + $principle1)){
                        $principlePay = $amountOS - $interest1;
                        $this->db->query("UPDATE nso007_loan_process
							SET
								plpInterestPay = 0,
								plpPrinciplePay = plpPrinciplePay - $principlePay,
								plpOwePay = plpOwePay - $amountOS,
								plpDatePaid = '$datepayment',
								plpBy = $by,
								plpInvoice = '$invoice',
								plpPaid = 2,
								plpActivity = 2
								WHERE plpID = $id1");

                        //update loan
                        $this->db->query("UPDATE nso007_loan SET ploAmountOS = ploAmountOS - $principlePay WHERE ploID = $loanID");
						$get_payment = $this->loan_process_model->get_payment_des($id_for_des);

						$des = $get_payment->pclName.', Item Code: '.$get_payment->piItemCode.', Payment Step: '.$get_payment->plpNo;

                        $data = array(
                            'pjnPID'=>0,
                            'pjnAccCode'=>10000,
                            'pjnType'=>12,
                            'pjnDr'=>$amountOS,
                            'pjnDateTransaction'=>date('Y-m-d H:i:s'),
                            'pjnDatePay'=>$datepayment,
                            'pjnDes'=>$des,
                            'pjnBy'=>$by,
                            'pjnCurrency'=>1,
                            'pjnRefID'=>$id,
                        );
                        $this->db->insert('nso007_jounal', $data);
                        $insert_id = $this->db->insert_id();

                        $data1 =array(
                            'pjnPID'=>$insert_id,
                            'pjnAccCode'=>11000,
                            'pjnType'=>12,
                            'pjnCr'=>$principlePay,
                            'pjnDateTransaction'=>date('Y-m-d H:i:s'),
                            'pjnDatePay'=>$datepayment,
                            'pjnDes'=>$des,
                            'pjnBy'=>$by,
                            'pjnCurrency'=>1,
                            'pjnRefID'=>$id,
                        );
                        $this->db->insert('nso007_jounal', $data1);
                        $data2 =array(
                            'pjnPID'=>$insert_id,
                            'pjnAccCode'=>40001,
                            'pjnType'=>12,
                            'pjnCr'=>$interest,
                            'pjnDateTransaction'=>date('Y-m-d H:i:s'),
                            'pjnDatePay'=>$datepayment,
                            'pjnDes'=>$des,
                            'pjnBy'=>$by,
                            'pjnCurrency'=>1,
                            'pjnRefID'=>$id,
                        );
                        $this->db->insert('nso007_jounal', $data2);

                    }

                    $pay = true;
                }
            }
        }else{
            $loanprocess = $this->loan_process_model->pay($id);
            $amountOS = $owe - $payment;
            $principleOS = $payment - $principle;

            // update loan process frist
            $this->db->query("UPDATE nso007_loan_process
							SET
								plpInterestPay = 0,
								plpPrinciplePay = 0,
								plpOwePay = 0,
								plpDatePaid = '$datepayment',
								plpBy = $by,
								plpInvoice = '$invoice',
								plpPaid = 1,
								plpActivity = 2
								WHERE plpID = $id");

            // select next payment loan process
            $select = $this->db->query("SELECT * FROM nso007_loan_process
											WHERE plpLoanID = $loanID AND plpDes IS NULL AND (ISNULL(plpPaid) OR plpPaid = 2 ) LIMIT 1");
            $get1 = $select->row();
            $id1 = $get1->plpID;
            // update loan process next
            $this->db->query("UPDATE nso007_loan_process
							SET
								plpPrinciplePay = plpPrinciplePay + $amountOS,
								plpOwePay = plpOwePay + $amountOS,
								plpDatePaid = '$datepayment',
								plpBy = $by,
								plpInvoice = '$invoice',
								plpPaid = 2,
								plpActivity = 2
								WHERE plpID = $id1");

			$get_payment = $this->loan_process_model->get_payment_des($id_for_des);

			$des = $get_payment->pclName.', Item Code: '.$get_payment->piItemCode.', Payment Step: '.$get_payment->plpNo;

            $data = array(
                'pjnPID'=>0,
                'pjnAccCode'=>10000,
                'pjnType'=>12,
                'pjnDr'=>$amountOS,
                'pjnDateTransaction'=>date('Y-m-d H:i:s'),
                'pjnDatePay'=>$datepayment,
                'pjnDes'=>$des,
                'pjnBy'=>$by,
                'pjnCurrency'=>1,
                'pjnRefID'=>$id,
            );
            $this->db->insert('nso007_jounal', $data);
            $insert_id = $this->db->insert_id();

            $data1 =array(
                'pjnPID'=>$insert_id,
                'pjnAccCode'=>11000,
                'pjnType'=>12,
                'pjnCr'=>$amountOS,
                'pjnDateTransaction'=>date('Y-m-d H:i:s'),
                'pjnDatePay'=>$datepayment,
                'pjnDes'=>$des,
                'pjnBy'=>$by,
                'pjnCurrency'=>1,
                'pjnRefID'=>$id,
            );
            $this->db->insert('nso007_jounal', $data1);
        }

        $status = 'ok';
        return $status;
    }
	public function loan_process($id){

		$get = $this->loan_process_model->get_cancel($id);

		$data = array();
		foreach($get as $row){
			$row['plpDatePayment'] = date('d-m-Y',strtotime($row['plpDatePayment']));
			$row['plpDatePaid'] = date('d-m-Y',strtotime($row['plpDatePaid']));
			$data[] = $row;
		}

		$this->output
    		 ->set_content_type('application/json')
   			 ->set_output(json_encode($data));
	}
	public function loan_process_paid($id){
		$get = $this->loan_process_model->get_loan_paid($id);

		$data = array();
		foreach($get as $row){
			$row['plpDatePayment'] = date('d-m-Y',strtotime($row['plpDatePayment']));
			$row['plpDatePaid'] = date('d-m-Y',strtotime($row['plpDatePaid']));
			$data[] = $row;
		}

		$this->output
			->set_content_type('application/json')
			->set_output(json_encode($data));
	}
	public function loan_process_cancel($id){

		$get = $this->loan_process_model->get($id);

		$data = array();
		foreach($get as $row){
			$row['plpDatePayment'] = date('d-m-Y',strtotime($row['plpDatePayment']));
			$row['plpDatePaid'] = date('d-m-Y',strtotime($row['plpDatePaid']));
			$data[] = $row;
		}

		$this->output
    		 ->set_content_type('application/json')
   			 ->set_output(json_encode($data));
	}
	public function sale_value(){
		$saleID = $_POST['saleID'];
		$sale = $this->sale_model->getID($saleID);

		var_dump($sale);
	}
	public function form_delete($id){
		$data['pawnID'] = $id;
		echo json_encode($data);
	}
	public function delete(){

		$loanID = $_POST['ppwID'];
		$clientID = $_POST['clientID'];
		$loan = $this->loan_model->getID($loanID);
		$sale = $this->sale_model->getID($loan->ploSale);

		$this->db->query("UPDATE nso007_item_stock SET piStockStatus = 1,piSaleStatus = null WHERE piID = ".$sale->psdItemID);
		$this->db->delete('nso007_sale_detail_stock', array('psdSaleID' => $loan->ploSale));
		$this->db->delete('nso007_sale_stock', array('psID' => $loan->ploSale));
		$this->db->delete('nso007_loan', array('ploID'=>$loanID));
		$this->db->delete('nso007_loan_process', array('plpLoanID'=>$loanID));
		$this->db->query("DELETE  FROM nso007_jounal WHERE pjnType in(9,10,11) AND pjnRefID = $loanID");
		$this->db->delete('nso007_jounal', array('pjnType'=>13,'pjnRefID' => $loan->ploSale));

		redirect(site_url('loan/loan/view/'.$clientID));
	}
	public function contract_bordering_update($id)
	{
		$var_id = $id;

		$var_north 	=	 $_POST['north-bordering'];
		$var_south 	=	 $_POST['south-bordering'];
		$var_west 	=	 $_POST['west-bordering'];
		$var_east 	=	 $_POST['east-bordering'];
		$var_address 	=	 $_POST['item-address'];
		$var_remark 	=	 $_POST['item-remark'];

		$data = array(
			'bordering_north' => $var_north,
			'bordering_south' => $var_south,
			'bordering_west' => $var_west,
			'bordering_east' => $var_east,
			'bordering_address' => $var_address,
			'bordering_remark' => $var_remark,
		);

		$this->db->where('bordering_loanid', $var_id);
		$this->db->update('nso007_contract_bordering', $data);
		redirect(site_url('loan/loan/contract/'.$var_id));
	}
	public function contract_bordering($id)
	{

		$var_north = $_POST['north-bordering'];
		$var_south = $_POST['south-bordering'];
		$var_west = $_POST['west-bordering'];
		$var_east = $_POST['east-bordering'];
		$var_address = $_POST['item-address'];
        $var_remark 	=	 $_POST['item-remark'];

		$data = array(
			'bordering_loanid' => $id,
			'bordering_north' => $var_north,
			'bordering_south' => $var_south,
			'bordering_west' => $var_west,
			'bordering_east' => $var_east,
			'bordering_address' => $var_address,
            'bordering_remark' => $var_remark,
		);

		$this->db->insert('nso007_contract_bordering', $data);
		redirect(site_url('loan/loan/contract/'.$id));
	}
	public function contract($id){
		$data['contractid'] = $id;
		$get_deposit= $this->loan_model->getLoanSale($id);
		$get = $this->loan_model->getLoanId($id); 
		$items = $this->loan_model->getitemsname($id);
		$relationship = $this->loan_model->get_relationship($id);
		$itemname = $items->items;

        $do_date=$get_deposit->psDate;
        $dates=explode("-",$do_date);
        $day=$dates[2];
        $month=$dates[1];
        $year=$dates[0];

        $data['day'] = $day;
        $data['month'] = $month;
        $data['year'] = $year;

        $dateOfBirth = $get->pclDOB;
        $today = date("Y-m-d");
        $diff = date_diff(date_create($dateOfBirth), date_create($today));

        $redateOfBirth = $relationship->pcrDoB;
        $retoday = date("Y-m-d");
        $rediff = date_diff(date_create($redateOfBirth), date_create($retoday));

        $usdateOfBirth = $get_deposit->pliDOB;
        $ustoday = date("Y-m-d");
        $usdiff = date_diff(date_create($usdateOfBirth), date_create($ustoday));
        $data['project']	= $get_deposit->ppjName;

        $data['age'] = $diff->format('%y');
		$data['clientName'] = $get->pclName;
		$data['gender'] = ($get->pclGender == 1)? 'ប្រុស':'ស្រី';

		$data['phone'] = $get->pclPhone1==''?'....................' : $get->pclPhone1;
		$data['phone2'] = $get->pclPhone2==''?'....................' : $get->pclPhone2;
		$data['address1'] = $get->pclAddress;

        if($get_deposit->pliGender == 1){
            $genderus='ប្រុស';
        }else if($get_deposit->pliGender == 2){
            $genderus='ស្រី';
        }

		$data['users']	= $get_deposit->users;
		$data['usgender']	=$genderus;
		$data['usage']	= $usdiff->format('%y');

        $data['Receive']	= floor($get_deposit->psReceive);
        $to_receive = floor($get_deposit->psReceive);
        $data['Receivekh'] = $this->numbertowordconvertsconvers->num3khtext($to_receive,true);

        $deposit=$this->db->query("SELECT pdAmount,pdDate FROM nso007_deposit WHERE pdSaleID = '$get_deposit->psID' ORDER BY pdID")->result_array();
        // echo ($deposit[0][pdAmount]); echo $get_deposit->psID; exit();
        $data['deposit']=$deposit;

        $data['Amount']	= floor($get_deposit->psAmount);
        $data['psDiscount']	= $get_deposit->ploDiscount+$get_deposit->ploAgDiscount;
        $data['total_Amount']	= $get_deposit->psAmount-$get_deposit->ploDiscount-$get_deposit->ploAgDiscount;
        $to_amount = floor($get_deposit->psAmount);
        $data['to_amountkh'] = $this->numbertowordconvertsconvers1->num4khtext($to_amount,true);

		$data['ItemCode']	= $itemname;

        $data['pcrName'] = $relationship->pcrName ==''? '.........................................' : $relationship->pcrName ;

        if($relationship->pcrGender == 1){
        	$genders='ប្រុស';
        }else if($relationship->pcrGender == 2){
        	$genders='ស្រី';
        }

		$data['pcrGender'] = empty($relationship->pcrGender)?'..........':$genders;
        $data['reage'] = empty($relationship->pcrDoB) ? '.........' : $rediff->format('%y');


        $sizes = strtolower($get_deposit->sizes);
        $count_semi = substr_count($sizes, ',');
        $sizes = explode(",", $sizes);
        $num_i = 0;
        $total2 = 0;
        for ($i=0; $i <= $count_semi; $i++) {

            $size1 = explode("x", $sizes[$num_i]);
            $total1 = $size1[0] * $size1[1];
            $total2 += $total1;
            $num_i++;
        }
        $total = $total2;
        $data['totalSize'] = $total;
		$bordering = $this->loan_model->get_contract_bordering($id);
		$data['bordering_north'] = $bordering->bordering_north ==''? '.........................................' : $bordering->bordering_north;
		$data['bordering_south'] = $bordering->bordering_south ==''? '.........................................' : $bordering->bordering_south;
		$data['bordering_west'] = $bordering->bordering_west ==''? '.........................................' : $bordering->bordering_west;
		$data['bordering_east'] = $bordering->bordering_east ==''? '.........................................' : $bordering->bordering_east;
		$data['bordering_address'] = $bordering->bordering_address;
		$data['bordering_remark'] = $bordering->bordering_remark==''?'
                                   <p>.............................................................................................................................................................................................</p>
						           <p>.............................................................................................................................................................................................</p>
						           <p>.............................................................................................................................................................................................</p>'
                                    : $bordering->bordering_remark;

		$this->load->view("print_contract/contract.php", $data);
	}
	public function print_invoice($id){
		$data['data'] = $this->loan_process_model->getLoanPayment($id);

		$this->load->view("print_contract/invoice.php", $data);
	}
	public function invoice_pay_off($poid,$id){
		$data['data'] = $this->loan_process_model->getLoanPayOff($poid,$id);
		$this->load->view("print_contract/invoice_pay_off.php", $data);
	}
	public function schedule($id){
		$loan = $this->loan_model->getp($id);

	
		$loan_process = $this->loan_process_model->get($id);
		$get_sum_total = $this->loan_process_model->getTotalSum($id);
		$get_item_loan = $this->loan_process_model->getLoanItem($id);
		$table = '';
		$i=1;
		foreach($loan_process as $row){

			$table .= '
				<tr align="center" style="height: 23px;vertical-align: middle;">
					<td style="vertical-align: middle;">'.$i.'</td>
					<td style="vertical-align: middle;">'.date('d-m-Y',strtotime($row['plpDatePayment'])).'</td>
					<td style="vertical-align: middle;">$ '.number_format($row['plpPrinciple'],2).'</td>
					<td style="vertical-align: middle;">'.$row['plpInterest'].'</td>
					<td style="vertical-align: middle;">$ '.number_format($row['plpOwe'],2).'</td>
					<td style="vertical-align: middle;">$ '.number_format($row['plpPrincipleOS'],2).'</td>
					<td style="vertical-align: middle;"></td>
				</tr>
			';
			$i++;
		}

		$sizes = $loan->sizes;
		$count_semi = substr_count($sizes, ',');
		$sizes = explode(",", $sizes);
		$num_i = 0;
		$total2 = 0;
		for ($i=0; $i <= $count_semi; $i++) {

			$size1 = explode("x", $sizes[$num_i]);
			$total1 = $size1[0] * $size1[1];
			$total2 += $total1;
			$num_i++;
		}
		$total = $total2;

		$data = array(
			'ppjName' => $loan->ppjName ,
			// 'piItemCode' => $loan->piItemCode,
			'piItemCode' => $loan->items,
			'piSize' => $total,
			// 'piPrice' => $loan->piPrice,
			'piPrice' => number_format($loan->prices-$loan->ploDiscount-$loan->ploAgDiscount,2),
			'to_piPrice' => number_format($loan->prices-$loan->ploDiscount-$loan->ploAgDiscount-$loan->psReceive,2),
			'psReceive' => number_format($loan->psReceive,2),
			'psDiscount' => $loan->psDiscount,
			'pclName' => $loan->pclName,
			'pclPhone1' => $loan->pclPhone1,
			'agent' => $loan->agency,
			'users' => $loan->users,
			'ploDisburment' => $loan->ploDisburment,
			'ploFristPayDate' => $loan->ploFristPayDate,
			'table' => $table,
			'totalInterest' => $get_sum_total->totalInterest,
			'ploPayment' => number_format($get_item_loan->ploPayment,2),
			'ploInterest' => $get_item_loan->ploInterest,
			'totalPrinciple' => $get_sum_total->totalPrinciple,
			'totalplpOwe' => $get_sum_total->totalplpOwe,
			'do_date'=>$this->zone->help('khmer_date', $loan->do_date),
		);

		$this->parser->parse('loan/schedule.php',$data);
	}
    public function view_reschedule($clientID,$item=''){
        $data["client"] = $this->client_model->get_client($clientID);
        // $data["client1"] = $this->client_model->client_list();
		$data["agent"] = $this->client_model->getAgent($clientID);
        $data["data"] = $this->loan_model->get($clientID);
        $data["item"] = $this->loan_model->getitem($clientID);

        $data["icon"] = 'fa fa-money';
        $data["title"] = 'Client Payment';
        $data["clientID"] = $clientID;

        $data['itemID'] = (empty($item))? 0:$item;

        if(!empty($item)){
            $loan = $this->loan_model->getAmountOS($item);
            $cl_relationship = $this->loan_model->getClientRe($item);
            $data['pcrID'] = $cl_relationship->pcrID;
            $data['pcrName'] = $cl_relationship->pcrName;
            $data['pcrGender'] = $cl_relationship->pcrGender;
            $data['pcrDoB'] = $cl_relationship->pcrDoB;
            $data['pcrPhone1'] = $cl_relationship->pcrPhone1;
            $data['pcrPhone2'] = $cl_relationship->pcrPhone2;
            $data['pcrNationality'] = $cl_relationship->pcrNationality;
            $data['pcrIdCard'] = $cl_relationship->pcrIdCard;
            $data['pcrIdCardDate'] = $cl_relationship->pcrIdCardDate;
            $data['pcrIdCardDateValid'] = $cl_relationship->pcrIdCardDateValid;
            $data['pcrIdCardBy'] = $cl_relationship->pcrIdCardBy;
            $data['pcrAddress'] = $cl_relationship->pcrAddress;
            $data['pcrJob'] = $cl_relationship->pcrJob;
            $data['pcrRelationship'] = $cl_relationship->pcrRelationship;
            $data['pcrStatus'] = $cl_relationship->pcrStatus;

            $data['psAmount'] = $cl_relationship->ploAmountOS;
            $data['psAmount'] = $loan->ploAmountOS;
            $data['sale_id'] = $loan->ploSale;
            $data['loan_id'] = $loan->ploID;
            $data['currency'] = 1;
            $data['readonly'] = 'readonly';
        }else{
            $data['amount'] = "";
            $data['currency'] = "";
            $data['readonly'] = "";
        }

        $this->load->view('loan/index_reschedule.php', $data);
    }
    public function save_reschedule($clientID){
            $pcrRelationship = empty($_POST['pcrRelationship'])?'':$_POST['pcrRelationship'];
            $pcrName = empty($_POST['pcrName'])?'':$_POST['pcrName'];
            $pcrDoB = empty($_POST['pcrDoB'])?'':$_POST['pcrDoB'];
            $pcrGender = empty($_POST['pcrGender'])?'':$_POST['pcrGender'];
            $pcrJob = empty($_POST['pcrJob'])?'':$_POST['pcrJob'];
            $pcrPhone1 = empty($_POST['pcrPhone1'])?'':$_POST['pcrPhone1'];
            $pcrPhone2 = empty($_POST['pcrPhone2'])?'':$_POST['pcrPhone2'];
            $pcrNationality = empty($_POST['pcrNationality'])?'':$_POST['pcrNationality'];
            $pcrIdCard = empty($_POST['pcrIdCard'])?'':$_POST['pcrIdCard'];
            $pcrIddate = empty($_POST['pcrIddate'])?'':$_POST['pcrIddate'];
            $pcrIdValid = empty($_POST['pcrIdValid'])?'':$_POST['pcrIdValid'];
            $pcrCardBy = empty($_POST['pcrCardBy'])?'':$_POST['pcrCardBy'];
            $pcrAddress = empty($_POST['pcrAddress'])?'':$_POST['pcrAddress'];
            $pcrID = empty($_POST['pcrID'])?'':$_POST['pcrID'];
            $type = $_POST['ploType'];
            $sale_id = $_POST['sale_id'];
            $loan_id = $_POST['loan_id'];
            $pcrLoanID = $loan_id;
            if(!empty($pcrRelationship)) {
                if(empty($pcrID)){
                    $d_relationship = array(
                        'pcrLoanId' => $pcrLoanID,
                        'pcrName' => $pcrName,
                        'pcrGender' => $pcrGender,
                        'pcrDoB' => $pcrDoB,
                        'pcrPhone1' => $pcrPhone1,
                        'pcrPhone2' => $pcrPhone2,
                        'pcrNationality' => $pcrNationality,
                        'pcrIdCard' => $pcrIdCard,
                        'pcrIdCardDate' => $pcrIddate,
                        'pcrIdCardDateValid' => $pcrIdValid,
                        'pcrIdCardBy' => $pcrCardBy,
                        'pcrAddress' => $pcrAddress,
                        'pcrJob' => $pcrJob,
                        'pcrRelationship' => $pcrRelationship,

                    );
                    $this->db->insert('nso007_client_relationship',$d_relationship);
                }else{
                    $d_relationship1 = array(
                        'pcrID' => $pcrID,
                        'pcrLoanId' => $pcrLoanID,
                        'pcrName' => $pcrName,
                        'pcrGender' => $pcrGender,
                        'pcrDoB' => $pcrDoB,
                        'pcrPhone1' => $pcrPhone1,
                        'pcrPhone2' => $pcrPhone2,
                        'pcrNationality' => $pcrNationality,
                        'pcrIdCard' => $pcrIdCard,
                        'pcrIdCardDate' => $pcrIddate,
                        'pcrIdCardDateValid' => $pcrIdValid,
                        'pcrIdCardBy' => $pcrCardBy,
                        'pcrAddress' => $pcrAddress,
                        'pcrJob' => $pcrJob,
                        'pcrRelationship' => $pcrRelationship,
                    );
                    $this->db->where('pcrID', $pcrID);
                    $this->db->update('nso007_client_relationship', $d_relationship1);
                }
            }

            $paid_last = $this->loan_process_model->paidLast($loan_id);
            $data_loan = array(
                'item_cost' => $_POST['item_cost'],
                'no' => $paid_last->plpNo,
                'ploAmountPayment' => $_POST['amount_payment_step'],
            );
            $this->deleteLoanProcess($loan_id);


            $this->insert_reschedule($data_loan,$loan_id);
            $get_no = $this->db->query("
                SELECT MAX(plpNo) AS step FROM nso007_loan_process WHERE plpLoanID = $loan_id
            ");
            $get_no = $get_no->row();
            $data_loan['step'] = $get_no->step;
            $this->interest_installment_reschedule($data_loan,$loan_id);

            redirect(site_url('loan/loan/view/'.$clientID));
    }
    public function insert_reschedule($post,$loanID)
    {
        extract($post);

        $amount = $item_cost;
        $plpAccPrinciple = 0;
        $plpAmountPaid = 0;

        $paymentDate = $this->input->post('paymentDate');
        $payAmount = $this->input->post('payAmount');
        $total_pay_amount = $this->input->post('ploAmount_payment');
        $no = $no+1;
        $plpAmountCredit = $item_cost;
        $principlebalance = $item_cost;

        for ($i = 0; $i < count($this->input->post('payAmount')); $i++){
            $principlebalance -= $payAmount[$i];
            $plpAccPrinciple += $payAmount[$i];
            $plpAmountPaid += $payAmount[$i];
            $plpAmountCredit -= $payAmount[$i];
            $data = array(
                'plpLoanID'      =>   $loanID,
                'plpNo'       =>   $no,
                'plpDatePayment'   =>   $paymentDate[$i],
                'plpInterest'	=> 0,
                'plpInterestPay'	=> 0,
                'plpAccPrinciple'	=> $plpAccPrinciple,
                'plpPrincipleOS'	=> $principlebalance,
                'plpAccInterest'	=> 0,
                'plpAmountPaid'		=> $plpAmountPaid,
                'plpAmountCredit'	=> $plpAmountCredit,
                'plpPrinciple'     =>   $payAmount[$i],
                'plpPrinciplePay'   =>   $payAmount[$i],
                'plpOwe'       =>   $payAmount[$i],
                'plpOwePay'     =>   $payAmount[$i],
            );
            $this->db->insert('nso007_loan_process', $data);
            $no++;
        }
    }
    public function interest_installment_reschedule($post,$loanID){
        extract($post);
        $plpAccPrinciple = $ploAmountPayment;

        $plpAmountPaid = $ploAmountPayment;

        $paymentDate2 = $this->input->post('paymentDate2');
        $payAmount2 = $this->input->post('payAmount2');
        $principal = $this->input->post('principal');
        $interest = $this->input->post('interest');
        $principlebalance = $this->input->post('ploAmount');
        $total_pay_amount = $this->input->post('ploAmount');
        $no = $step + 1;
        $plpAmountCredit = $total_pay_amount;

        for ($i = 0; $i < count($this->input->post('payAmount2')); $i++){
            $principlebalance-=$principal[$i];
            $plpAccPrinciple += $payAmount2[$i];
            $plpAmountPaid += $payAmount2[$i];
            $plpAmountCredit -= $principal[$i];

            $data = array(
                'plpLoanID'      =>   $loanID,
                'plpNo'       =>   $no,
                'plpDatePayment'   =>   $paymentDate2[$i],
                'plpInterest'	=> $interest[$i],
                'plpInterestPay'	=> $interest[$i],
                'plpAccPrinciple'	=> $plpAccPrinciple,
                'plpPrincipleOS'	=> $principlebalance,
                'plpAccInterest'	=> $interest[$i],
                'plpAmountPaid'		=> $plpAmountPaid,
                'plpAmountCredit'	=> $plpAmountCredit,
                'plpPrinciple'     =>   $principal[$i],
                'plpPrinciplePay'   =>   $principal[$i],
                'plpOwe'       =>   $payAmount2[$i],
                'plpOwePay'     =>   $payAmount2[$i],

            );
            $this->db->insert('nso007_loan_process', $data);
            $no++;
        }
    }
	public function frm_DeleteLoan(){

		$id = $_POST['id'];

		$get = $this->loan_model->getIDLoan($id);

		$data['psID'] = $get->psID;
		$data['pclName'] = $get->pclName;
		$data['psAmount'] = $get->psAmount;

		echo json_encode($data);

	}
}
