<?php $this->load->view('template/header.php');?>
<?php $this->load->view('template/body.php');?>

	<!-- /.data -->
	<div class="row">
		<div class="col-md-12">
			<div class="col-md-12">
			<!-- BEGIN SAMPLE FORM PORTLET-->
			<div class="portlet light bordered">
				<div class="portlet-title">
					<div class="caption font-red-sunglo">
						<i class="fa fa-list font-red-sunglo"></i>
						<span class="caption-subject sbold uppercase"><?php echo zphrase('Item Detail');?></span>
					</div>
					<div class="actions">
						<div class="btn-group">
							<?php foreach($items as $item): ?>
							<a class="btn btn-sm green " href="<?php echo site_url('ProjectPlanning/view/'.$item->project_id);?>"> 
								<i class="fa fa-reply"></i>
								<?php echo zphrase('Back');?>
							</a>
							<?php endforeach; ?>
						</div>
					</div>
				</div>
				<form class="form-horizontal" role="form" method="post" action="<?php echo site_url('PaymentItem/insert'); ?>">
					<div class="portlet-body">
						<div class="form-body">
							<div class="row">
								<?php foreach($items as $item): ?>
								<div class="col-md-12">
									<div class="col-md-6">
										<div class="form-group">
											<label class="col-md-4 control-label"><?php echo zphrase('Item Name');?></label>
											<div class="col-md-8">
												<input type="hidden" name="item_id" value="<?php echo $item->itemID;?>">
												<input type="hidden" name="project_id" value="<?php echo $item->project_id;?>">
												<input type="text" class="form-control" name="name" value="<?php echo $item->itemName;?>" disabled>
											</div>
										</div>
									</div>
									<div class="col-md-6">
										<div class="form-group">
											<label class="col-md-4 control-label"><?php echo zphrase('Total Cost');?> ($)</label>
											<div class="col-md-8">
												<input type="text" class="form-control" value="<?php echo $item->itemTotalCost;?>" disabled>
											</div>
										</div>
									</div>
									<div class="col-md-6">
										<div class="form-group">
											<label class="col-md-4 control-label"><?php echo zphrase('Item Size (m<sup>2</sup>)');?></label>
											<div class="col-md-8">
												<input type="text" class="form-control" value="<?php echo ($item->itemSize); ?>" disabled>
											</div>
										</div>
									</div>
									<div class="col-md-6">
										<div class="form-group">
											<label class="col-md-4 control-label"><?php echo zphrase('Certificate');?></label>
											<div class="col-md-8">
												<input type="text" class="form-control" value="<?php echo $item->itemCertificate;?>" readonly>
											</div>
										</div>
									</div>
									<div class="col-md-6">
										<div class="form-group">
											<label class="col-md-4 control-label"><?php echo zphrase('Price / m<sup>2</sup>');?> ($)</label>
											<div class="col-md-8">
												<input type="text" class="form-control" value="<?php echo $item->itemCost;?>" readonly>
											</div>
										</div>
									</div>
									<div class="col-md-6">
										<div class="form-group">
											<label class="col-md-4 control-label"><?php echo zphrase('Location');?></label>
											<div class="col-md-8">
												<input type="text" class="form-control" value="<?php echo $item->itemAddress;?>" disabled>
											</div>
										</div>
									</div>
								</div>
								<?php endforeach; ?>
							</div>
						</div>
					</div>
					<div class="portlet-title">
						<div class="caption font-red-sunglo">
							<i class="fa fa-money font-red-sunglo"></i>
							<span class="caption-subject sbold uppercase"><?php echo zphrase('Payment List');?></span>
						</div>
					</div>

					<div class="portlet-body">
						<div class="table-scrollable">
							<table class="table table-striped table-bordered table-hover dt-responsive" width="100%" id="datatable">
								<thead>
									<tr>
										<th><?php echo zphrase('Step');?></th>
										<th><?php echo zphrase('Payment Date');?></th>
										<th><?php echo zphrase('Item Total Cost');?></th>
										<th><?php echo zphrase('Payment Amount');?></th>
										<th><?php echo zphrase('Item Remain Amount');?></th>
									</tr>
								</thead>
								<tbody>
									<?php foreach($payments as $row): ?>
										<?php for ($i = 0; $i < count($row); $i++){
											$payMent += $row->payAmount;
											$remain = $item->itemTotalCost - $payMent;
										} ?>
										<tr>
											<td><?php echo $row->paymentStep; ?></td>
											<td><?php echo $row->paymentDate;?></td>
											<td><?php echo "$ ".$item->itemTotalCost;?></td>
											<td><?php echo "$ ".$row->payAmount;?></td>
											<td><?php echo "$ ".($remain);?></td>
										</tr>
									<?php endforeach; ?>
								</tbody>
							</table>
						</div>
					</div>
				</form>
			</div>
		</div>
	</div>
	<!-- /.end data -->
	
<?php $this->load->view('template/footer.php');?>
<script>
	function btnDelete(obj){ 
		var id = $(obj).closest("tr").attr("pd");
		$.ajax({
			url: "<?php echo site_url("language/form_delete")?>/"+id,
			type: "get",
			success: function(data){
				var d = $.parseJSON(data);
				$(".clID").val(id);
			}
		});
	}
</script>
<script src="<?php echo base_url(); ?>assets/global/plugins/datatables/datatables.min.js" type="text/javascript"></script>
<script src="<?php echo base_url(); ?>assets/global/plugins/datatables/plugins/bootstrap/datatables.bootstrap.js" type="text/javascript"></script>
<script>
  $('#datatable').dataTable();
</script>
