<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class ProjectPlanningItem extends CI_Controller {
	function __Construct(){
		parent::__Construct ();
		$this->load->database();
		$this->load->model('ProjectPlanningItemModel');
        $this->load->model('permission_model');
	}

	public function index(){
		$this->data['items'] = $this->ProjectPlanningItemModel->getItem();
		$this->data["icon"] = 'fa fa-cart-plus';
		$this->data["title"] = 'Project Item';
		$this->load->view('project_planning_item_view/index', $this->data);
	}
	

	public function addnew_select(){
		$this->load->view('project_planning_item_view/addnew_select');
	}

	public function create(){
		$this->load->view('project_planning_item_view/create');
	}

	public function save(){
		$path = 'upload/pdf_project_item/';
		if(!is_dir($path))mkdir($path,0777,TRUE);

		$extension = pathinfo($_FILES['itemCertificate']['name'], PATHINFO_EXTENSION);
		$filename = basename($_FILES['itemCertificate']['name'], '.'.$extension);

		$filename = empty($_FILES['itemCertificate']['name']) ? "" : $filename.'-'.uniqid().'.'.$extension;
		move_uploaded_file($_FILES['itemCertificate']['tmp_name'], $path.$filename);

		$data = array(
			'project_id'		=>		$_POST['project_id'],
			'itemName'			=>		$_POST['itemName'],
			'itemSize'			=>		$_POST['itemSize'],
			'itemCost'			=>		$_POST['itemCost'],
			'itemTotalCost'		=>		$_POST['itemTotalCost'],
			'itemCertificate'	=>		$filename,
			'itemDate' 			=>		date('Y-m-d',strtotime($_POST['itemDate'])),
			'itemAddress'		=>		$_POST['itemAddress']
		);

		$this->db->insert('nso007_project_planning_item', $data);
		redirect(site_url('ProjectPlanningItem/index'));
	} 	
	
	public function addnew($id){
		$this->data['project'] = $this->ProjectPlanningItemModel->getProject($id);		
		$this->load->view('project_planning_item_view/addnew', $this->data);
	}

	public function insert(){
		$path = 'upload/pdf_project_item/';
		if(!is_dir($path))mkdir($path,0777,TRUE);

		$extension = pathinfo($_FILES['itemCertificate']['name'], PATHINFO_EXTENSION);
		$filename = basename($_FILES['itemCertificate']['name'], '.'.$extension);

		$filename = empty($_FILES['itemCertificate']['name']) ? "" : $filename.'-'.uniqid().'.'.$extension;
		move_uploaded_file($_FILES['itemCertificate']['tmp_name'], $path.$filename);

		$data = array(
			'project_id'		=>		$_POST['project_id'],
			'itemName'			=>		$_POST['itemName'],
			'itemSize'			=>		$_POST['itemSize'],
			'itemCost'			=>		$_POST['itemCost'],
			'itemTotalCost'		=>		$_POST['itemTotalCost'],
			'itemCertificate'	=>		$filename,
			'itemDate' 			=>		date('Y-m-d',strtotime($_POST['itemDate'])),
			'itemAddress'		=>		$_POST['itemAddress']
		);

		$this->db->insert('nso007_project_planning_item', $data);
		redirect(site_url('ProjectPlanningItem/index'));
	}


    public function edit_project_planning($id){
        $this->data['project'] = $this->ProjectPlanningItemModel->getProjectEdit($id);
        $this->load->view('project_planning_item_view/edit_project_planning.php', $this->data);

    }
    public function edit($id){
        $data = array(
            'projectName'		=>		$_POST['projectName'],
            'projectSize'			=>		$_POST['projectSize'],
            'projectCost'			=>		$_POST['projectCost'],
            'projectDate'			=>		$_POST['projectDate'],
            'projectAddress'		=>		$_POST['projectAddress']

        );
        $this->db->where('projectID',$id);
        $this->db->update('nso007_project_planning',$data);
        redirect(site_url('ProjectPlanning/index'));
    }

    public function edit_project_item($id){
        $this->data['projectitem'] = $this->ProjectPlanningItemModel->getProjectItemEdit($id);

        $this->load->view('project_planning_item_view/edit_project_item.php',$this->data);
    }

    public function edit_item($id){

    	$item = $this->get_pdfItem($id);
		$path = 'upload/pdf_project_item/';
		if(!is_dir($path))mkdir($path,0777,TRUE);

		$extension = pathinfo($_FILES['itemCertificate']['name'], PATHINFO_EXTENSION);
		$filename = basename($_FILES['itemCertificate']['name'], '.'.$extension);

		$filename = empty($_FILES['itemCertificate']['name']) ? "$item->itemCertificate" : $filename.'-'.uniqid().'.'.$extension;
		move_uploaded_file($_FILES['itemCertificate']['tmp_name'], $path.$filename);
		$do_date = (empty($_POST['itemDate'])?'$item->itemDate':$_POST['itemDate']);
        $data = array(
            'project_id'		=>		$_POST['project_id'],
            'itemName'			=>		$_POST['itemName'],
            'itemSize'			=>		$_POST['itemSize'],
            'itemCost'			=>		$_POST['itemCost'],
            'itemTotalCost'		=>		$_POST['itemTotalCost'],
            'itemCertificate'	=>		$filename,
            'itemDate'		    =>		date('Y-m-d',strtotime($do_date)),
            'itemAddress'		=>		$_POST['itemAddress']
        );
        $this->db->where('itemID',$id);
        $this->db->update('nso007_project_planning_item',$data);
        redirect(site_url('ProjectPlanningItem/index'));
    }
    public function get_pdfItem($id)
    {
    	$query = $this->db->query("SELECT itemCertificate,itemDate FROM nso007_project_planning_item WHERE itemID = $id");
    	return $query->row();
    }
}
