<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Report_collection extends CI_Controller {
	function __construct() {
		parent::__construct();
		$this->load->model('report_collection_model');
        $this->load->model('permission_model');
	}
	public function index(){			
		

	}
    public function view(){
        $data["icon"] = 'fa fa-file-text-o';
        $data["title"] = 'Report Payment Collection';

        $this->load->view('report_collection/collection.php',$data);
    }

    public function load_data_datable(){

        $columns = array(
            0 =>'plpID',
            1 =>'plpDatePayment',
            2 =>'project_name',
            3 =>'category_name',
            4 =>'item_code',
            5 =>'pclID',
            6 =>'pclName',
            7 =>'gender',
            8 =>'pclPhone1',
            9 =>'plpPrinciplePay',
            10 =>'plpInterestPay',
            11 =>'pjnDr',

        );
        $fr_date=$this->input->get('fr_date');
        $to_date=$this->input->get('to_date');
        $ppjname=$this->input->get('ppjname');
        $clname=$this->input->get('clname');
        $catname=$this->input->get('catname');
        $phone=$this->input->get('phone');
        $limit = $this->input->post('length');
        $start = $this->input->post('start');
        $order = $columns[$this->input->post('order')[0]['column']];
        $dir = $this->input->post('order')[0]['dir'];

        $totalData = $this->report_collection_model->collection_count($fr_date, $to_date, $ppjname, $catname, $clname, $phone);

        $totalFiltered = $totalData;

        if(empty($this->input->post('search')['value']))
        {
            $posts = $this->report_collection_model->allColection($limit,$start,$order,$dir,$fr_date, $to_date, $ppjname, $catname, $clname, $phone);

            $totalFiltered = $this->report_collection_model->collection_search_count_all($fr_date, $to_date, $ppjname, $catname, $clname, $phone);
        }

        $data = array();
        if(!empty($posts))
        {
            $i=1;
            foreach ($posts as $post)
            {
                $interest = $post->plpInterestPay;

                $principle = $post->plpPrinciplePay;

                $total = $interest + $principle;

                $nestedData=array();
                $nestedData[]=$i;
                $nestedData[]=date('d/m/Y',strtotime($post->plpDatePayment));
                $nestedData[]=$post->project_name;
                $nestedData[]=$post->category_name;
                $nestedData[]=$post->item_code;
                $nestedData[]=$post->pclID;
                $nestedData[]=$post->pclName;
                $nestedData[]=$post->gender;
                $nestedData[]=$post->pclPhone1;
                $nestedData[]='$ '.number_format($post->plpPrinciplePay,2);
                $nestedData[]='$ '.number_format($post->plpInterestPay,2);
                $nestedData[]='$ '.number_format($total,2);

                $data[] = $nestedData;
                $i++;
            }
        }

        $json_data = array(
            "draw"            => intval($this->input->post('draw')),
            "recordsTotal"    => intval($totalData),
            "recordsFiltered" => intval($totalFiltered),
            "data"            => $data
        );

        echo json_encode($json_data);


    }

	
}
