<?php
	class Loan_process_model extends CI_Model{

		public function getPaid($loanID){
			$data = $this->db->query("SELECT COUNT(plpPaid) AS paid
									FROM nso007_loan_process
									WHERE plpLoanID = $loanID AND plpPaid = 1");

			return $data->row();
		}
		public function getDatePay($loanID){
			$data = $this->db->query("SELECT plpDatePayment
									FROM nso007_loan_process
									WHERE plpLoanID = $loanID AND plpPaid is null LIMIT 1");

			return $data->row();
		}
		public function paidLast($loanID){
			$data = $this->db->query("SELECT plpNo FROM nso007_loan_process
									WHERE plpPaid = 1 AND plpLoanID = $loanID ORDER BY plpNo DESC LIMIT 1");

			return $data->row();
		}
		public function notPay($loanID){
			$data = $this->db->query("SELECT plpDatePayment,plpInterest,plpPrinciple,plpNo,pdwNameFull,plpOwe,plpID
									FROM nso007_loan_process
									LEFT JOIN nso007_loan ON nso007_loan_process.plpLoanID = nso007_loan.ploID
									LEFT JOIN nso007_dropdown ON nso007_loan.ploCurrency = nso007_dropdown.pdwCode AND pdStatus = 5
									WHERE plpLoanID = $loanID AND plpPaid IS NULL AND plpDes IS NULL
			");

			return $data->result_array();
		}
		public function get($loanID){
			$data = $this->db->query("SELECT plpNo,plpDatePayment,plpID,plpPaid,plpDatePaid,
									 plpInterest,
									 plpPrinciple,
									 plpAccPrinciple,
									 plpAmountPaid,
									 plpAmountCredit,
									 plpAccInterest,
									 plpOwe,
									 plpOwePay,
									 plpPrincipleOS
									FROM nso007_loan_process
									LEFT JOIN nso007_loan ON nso007_loan_process.plpLoanID = nso007_loan.ploID
									LEFT JOIN nso007_dropdown AS currency ON nso007_loan.ploCurrency = currency.pdwCode AND currency.pdStatus = 5
									WHERE plpLoanID = $loanID AND plpDes IS NULL");

			return $data->result_array();
		}

		public function get_cancel($loanID){
			$data = $this->db->query("SELECT plpNo,plpDatePayment,plpID,plpPaid,plpDatePaid,
									 plpInterest,
									 plpPrinciple,
									 plpAccPrinciple,
									 plpAmountPaid,
									 plpAmountCredit,
									 plpAccInterest,
									 plpOwe,
									 plpOwePay,
									 plpPrincipleOS
									FROM nso007_loan_process
									LEFT JOIN nso007_loan ON nso007_loan_process.plpLoanID = nso007_loan.ploID
									LEFT JOIN nso007_dropdown AS currency ON nso007_loan.ploCurrency = currency.pdwCode AND currency.pdStatus = 5
									WHERE plpLoanID = $loanID AND plpDes IS NULL");

			return $data->result_array();
		}

		public function get_loan_paid($loanPaidID){
			$data = $this->db->query("SELECT *
									FROM nso007_loan_paid
									INNER JOIN nso007_loan_process ON nso007_loan_process.plpID = nso007_loan_paid.plpaProcessID
								  
									WHERE nso007_loan_paid.plpaProcessID = $loanPaidID");

			return $data->result_array();
		}
		public function getTotalSum($loanID){
			$data = $this->db->query("
				SELECT 
					SUM(plpInterest) AS totalInterest,
					SUM(plpPrinciple) AS totalPrinciple,
					SUM(plpOwe) AS totalplpOwe
				FROM nso007_loan_process
				LEFT JOIN nso007_loan ON nso007_loan_process.plpLoanID = nso007_loan.ploID
				LEFT JOIN nso007_dropdown AS currency ON nso007_loan.ploCurrency = currency.pdwCode AND currency.pdStatus = 5
				WHERE plpLoanID = $loanID AND plpDes IS NULL
			");
			return $data->row();
		}
		public function getLoanItem($loanID){
			$data = $this->db->query("
				SELECT *
				FROM nso007_loan
				WHERE ploID = $loanID
			");
			return $data->row();
		}


		public function getLoanPayment($id){
			$data = $this->db->query("
				SELECT plpID,
				plpNo,
				lPAD(plpa,6,0) AS plpa,
				ppjName,
				plpaInvoiceNum,
				pclName,
				plpDatePayment,
				GROUP_CONCAT(piItemCode SEPARATOR ' & ') AS items,
				(plpOwe - plpOwePay) AS paid1,
				plpaPrincple as paid,
				date_format(plpaCreatedDate, '%Y-%m-%d') AS do_date,
				plpNote
				FROM nso007_loan_process
				LEFT JOIN nso007_loan ON nso007_loan_process.plpLoanID = nso007_loan.ploID
				LEFT JOIN nso007_loan_paid ON nso007_loan_process.plpID = nso007_loan_paid.plpaProcessID
				LEFT JOIN nso007_sale_detail_stock ON nso007_loan.ploSale = nso007_sale_detail_stock.psdSaleID
				LEFT JOIN nso007_item_stock ON nso007_item_stock.piID = nso007_sale_detail_stock.psdItemID
				LEFT JOIN nso007_project_stock ON nso007_project_stock.ppjID = nso007_item_stock.piProject
				LEFT JOIN nso007_client ON nso007_loan.ploClientID = nso007_client.pclID
				WHERE plpa = $id
				GROUP BY plpa
                ORDER BY plpa DESC LIMIT 1
			");

			return $data->row();
		}

		public function pay($id){
			$data = $this->db->query("SELECT
									CONCAT(pdwNameFull,plpInterestPay) AS interest,
									CONCAT(pdwNameFull,plpPrinciplePay) AS principle,
									plpInterestPay,plpPrinciplePay,plpDatePayment,plpOwePay,
									plpLoanID
									FROM nso007_loan_process 
									LEFT JOIN nso007_loan ON nso007_loan_process.plpLoanID = nso007_loan.ploID
									LEFT JOIN nso007_dropdown ON nso007_loan.ploCurrency = nso007_dropdown.pdwCode AND pdStatus = 5
									WHERE plpID = $id");
								
			return $data->row(); 
		}
        public function getLoanPayOff($poid,$id){
            $data = $this->db->query("
				                    SELECT
                                        pjnID,
                                        ppjName,
                                        pclName,
                                        pjnDesPayOff,
                                        GROUP_CONCAT(piItemCode SEPARATOR ' & ') AS items,
                                        pjnDr AS paid,
                                        pjnDateTransaction AS do_date
                                    FROM
                                        nso007_jounal
                                    LEFT JOIN nso007_loan ON nso007_jounal.pjnRefID = nso007_loan.ploID
                                    LEFT JOIN nso007_sale_detail_stock ON nso007_loan.ploSale = nso007_sale_detail_stock.psdSaleID
                                    LEFT JOIN nso007_item_stock ON nso007_item_stock.piID = nso007_sale_detail_stock.psdItemID
                                    LEFT JOIN nso007_project_stock ON nso007_project_stock.ppjID = nso007_item_stock.piProject
                                    LEFT JOIN nso007_client ON nso007_loan.ploClientID = nso007_client.pclID
                                    WHERE
                                        pjnRefID = $id AND pjnType =$poid AND pjnPID=0
                                    
                                    LIMIT 1
			");

            return $data->row();
        }

	}
?>
