<?php
	class PaymentItemModel extends CI_Model{
		public function getItem($id)
		{
			$this->db->select("*"); 
			$this->db->from('nso007_project_planning_item');
			$this->db->where('itemID',$id);
			$query = $this->db->get();
			return $query->result();
		}
		
		public function getPayment($id)
		{
			$this->db->select("*"); 
			$this->db->from('nso007_project_item_payment');
			$this->db->where('item_id',$id);
			$query = $this->db->get();
			return $query->result();
		}
		
		public function getAllPayment()
		{
			$this->db->select("*"); 
			$this->db->from('nso007_project_item_payment');
			$query = $this->db->get();
			return $query->result();
		}
		
		public function getItemByPayment()
		{
			$this->db->select('*');
			$this->db->from('nso007_project_planning AS project');
			$this->db->join('nso007_project_planning_item AS item', 'project.projectID = item.project_id');
			$this->db->join('nso007_project_item_payment AS payment', 'item.itemID = payment.item_id');
			$query = $this->db->get();
			return $query->result();
		}
		
		public function create($data){
			$this->db->insert_batch('nso007_project_item_payment', $data);
		}

		public function getPaymentByItem($id)
		{
			$this->db->select('*');
			$this->db->from('nso007_project_item_payment');
			$this->db->join('nso007_project_planning_item', 'nso007_project_planning_item.itemID = nso007_project_item_payment.item_id');
			$this->db->where('nso007_project_item_payment.item_id', $id);
			$query = $this->db->get();
			return $query->result();
		}

		public function getPaymentByProjectID($projectID)
		{
			$this->db->select("*"); 
			$this->db->from('nso007_project_planning_item');
			$this->db->where('project_id', $projectID);
			$query = $this->db->get();
			return $query->result();
			
		}

		public function get_item_id($id)
		{
			$this->db->select("*"); 
			$this->db->from('nso007_project_planning_item');
			$this->db->where('itemID', $id);
			$query = $this->db->get();
			return $query->result();
			
		}

		public function getReportProject($projectID)
		{
			$this->db->select('*');
			$this->db->from('nso007_project_planning'); 
			$this->db->where('projectID', $projectID);
			$query = $this->db->get();
			if($query->num_rows() != 0)
			{
				return $query->result_array();
			}
			else
			{
				return false;
			}
		}
		public function getReportItem($itemID)
		{
			$this->db->select('*');
			$this->db->from('nso007_project_planning_item'); 
			$this->db->where('itemID', $itemID);
			$query = $this->db->get();
			if($query->num_rows() != 0)
			{
				return $query->result_array();
			}
			else
			{
				return false;
			}
		}
		public function getReportPayment($itemID)
		{
			$this->db->select('*');
			$this->db->from('nso007_project_item_payment'); 
			$this->db->where('item_id', $itemID);
			$query = $this->db->get();
			if($query->num_rows() != 0)
			{
				return $query->result_array();
			}
			else
			{
				return false;
			}
		}
		
		public function get_report($projectID, $itemID, $from_date, $to_date)
		{
			$this->db->select('*');
			$this->db->from('nso007_project_planning AS project');
			$this->db->join('nso007_project_planning_item AS item', 'project.projectID = item.project_id');
			$this->db->join('nso007_project_item_payment AS payment', 'item.itemID = payment.item_id');

			// if ($itemID != null) {
			// 	$this->db->where('payment.item_id', $itemID);
			// } elseif ($from_date != null && $to_date != null && $projectID != null && $itemID != null) {
			// 	$this->db->where('payment.project_id', $projectID);
			// 	$this->db->where('payment.item_id', $itemID);
			// 	$this->db->where('payment.paymentDate >=', $from_date);
			// 	$this->db->where('payment.paymentDate <=', $to_date);
			// } elseif ($from_date != null && $to_date != null) {
			// 	$this->db->where('payment.paymentDate >=', $from_date);
			// 	$this->db->where('payment.paymentDate <=', $to_date);
			// }
			if(!empty($itemID)){
				$this->db->where('payment.project_id', $projectID);
				$this->db->where('payment.item_id', $itemID);
			}elseif(!empty($projectID)){
				$this->db->where('payment.project_id', $projectID);
			} 

			$query = $this->db->get();
			return $query->result();
		}

		public function get_report_by_project($projectID)
		{
			$this->db->select('*');
			$this->db->from('nso007_project_planning AS project');
			$this->db->join('nso007_project_planning_item AS item', 'project.projectID = item.project_id');
			$this->db->join('nso007_project_item_payment AS payment', 'item.itemID = payment.item_id');
			$this->db->where('payment.project_id', $projectID);
			$query = $this->db->get();
			return $query->result();
		}
		

		public function get_payment_report($projectID=null, $itemID=null, $from_date=null, $to_date=null)
		{
			$this->db->select('*');
			$this->db->from('nso007_project_planning AS project');
			$this->db->join('nso007_project_planning_item AS item', 'project.projectID = item.project_id');
			$this->db->join('nso007_project_item_payment AS payment', 'item.itemID = payment.item_id');
			if ($projectID==null && $itemID==null && $from_date==null && $to_date==null)
			{
				redirect(site_url('PaymentItem/report'));
			} elseif ($projectID!=null && $itemID==null && $from_date==null && $to_date==null)
			{
				$this->db->where('payment.project_id', $projectID);
			} elseif ($projectID!=null && $itemID!=null && $from_date==null && $to_date==null)
			{
				$this->db->where('payment.project_id', $projectID);
				$this->db->where('payment.item_id', $itemID);
			} elseif ($projectID!=null && $itemID==null && $from_date!=null && $to_date==null)
			{
				$this->db->where('payment.project_id', $projectID);
				$this->db->where('payment.paymentDate >=', $from_date);
			} elseif ($projectID!=null && $itemID==null && $from_date==null && $to_date!=null)
			{
				$this->db->where('payment.project_id', $projectID);
				$this->db->where('payment.paymentDate <=', $to_date);
			} elseif ($projectID!=null && $itemID==null && $from_date!=null && $to_date!=null)
			{
				$this->db->where('payment.project_id', $projectID);
				$this->db->where('payment.paymentDate >=', $from_date);
				$this->db->where('payment.paymentDate <=', $to_date);
			} elseif ($projectID!=null && $itemID!=null && $from_date!=null && $to_date!=null)
			{
				$this->db->where('payment.project_id', $projectID);
				$this->db->where('payment.item_id', $itemID);
				$this->db->where('payment.paymentDate >=', $from_date);
				$this->db->where('payment.paymentDate <=', $to_date);
			} elseif ($projectID!=null && $itemID!=null && $from_date!=null && $to_date==null)
			{
				$this->db->where('payment.project_id', $projectID);
				$this->db->where('payment.item_id', $itemID);
				$this->db->where('payment.paymentDate >=', $from_date);
			} elseif ($projectID!=null && $itemID!=null && $from_date==null && $to_date!=null)
			{
				$this->db->where('payment.project_id', $projectID);
				$this->db->where('payment.item_id', $itemID);
				$this->db->where('payment.paymentDate <=', $to_date);
			} elseif ($projectID==null && $itemID==null && $from_date!=null && $to_date!=null)
			{
				$this->db->where('payment.paymentDate >=', $from_date);
				$this->db->where('payment.paymentDate <=', $to_date);
			} elseif ($projectID==null && $itemID==null && $from_date==null && $to_date!=null)
			{
				$this->db->where('payment.paymentDate <=', $to_date);
			} elseif ($projectID==null && $itemID==null && $from_date!=null && $to_date==null)
			{
				$this->db->where('payment.paymentDate >=', $from_date);
			}
			$query = $this->db->get();
			return $query->result();
		}

		public function get_report_by_item($itemID)
		{
			$this->db->select('*');
			$this->db->from('nso007_project_planning AS project');
			$this->db->join('nso007_project_planning_item AS item', 'project.projectID = item.project_id');
			$this->db->join('nso007_project_item_payment AS payment', 'item.itemID = payment.item_id');
			$this->db->where('payment.item_id', $itemID);
			$query = $this->db->get();
			return $query->result();
		}

		public function get_report_by_date($from_date, $to_date)
		{
			$this->db->select('*');
			$this->db->from('nso007_project_planning AS project');
			$this->db->join('nso007_project_planning_item AS item', 'project.projectID = item.project_id');
			$this->db->join('nso007_project_item_payment AS payment', 'item.itemID = payment.item_id');
			$this->db->where('payment.paymentDate >=', $from_date);
			$this->db->where('payment.paymentDate <=', $to_date);
			$query = $this->db->get();
			return $query->result();
		}



	}
?>
