<?php

	class Sale_model extends CI_Model{

		

		public function getID($id){

			$data = $this->db->query("SELECT * ,pclUser,pclAgent
                                      FROM nso007_sale_stock 
                                      LEFT JOIN nso007_sale_detail_stock ON nso007_sale_stock.psID = nso007_sale_detail_stock.psdSaleID 
                                      LEFT JOIN nso007_client AS clin ON nso007_sale_stock.psClientID = clin.pclID
                                      WHERE psID = $id");

			return $data->row(); 

		}

		public function get(){

			$data = $this->db->query("
				SELECT *,GROUP_CONCAT(item.piItemCode SEPARATOR ' & ') AS items,CONCAT(agent.pliFristName,' ',agent.pliLastName) as agent_name
				FROM nso007_sale_stock AS sale
				LEFT JOIN nso007_client AS clin ON sale.psClientID = clin.pclID
				LEFT JOIN nso007_user AS agent ON agent.pliID = clin.pclAgent
				LEFT JOIN nso007_loan AS loan ON sale.psID = loan.ploSale
				LEFT JOIN nso007_delete_transaction AS d_t ON sale.psID = d_t.dtSaleID
				LEFT JOIN nso007_sale_detail_stock AS detail ON sale.psID = detail.psdSaleID
				LEFT JOIN nso007_item_stock AS item ON detail.psdItemID = item.piID
				LEFT JOIN nso007_category_stock AS cat ON item.piCatagory = cat.pctID
				LEFT JOIN nso007_project_stock AS pro ON item.piProject = pro.ppjID
				WHERE psDeposit=1
				GROUP BY sale.psID
				Order BY sale.psDate DESC
			"); 
			return $data->result_array(); 

		}

		public function get_approve(){

			$data = $this->db->query("
				SELECT *,CONCAT(users.pliFristName,' ',users.pliLastName) as user_name
				FROM nso007_delete_transaction as dt 
				LEFT JOIN nso007_user AS users ON dt.dtBy = users.pliID
				where dtStatus=1
			");
			return $data->result_array();

		}

		public function get_only(){

			$today = date('Y-m-d');

			$data = $this->db->query("
				SELECT *,GROUP_CONCAT(item.piItemCode SEPARATOR ' & ') AS items
				FROM nso007_sale_stock AS sale
				LEFT JOIN nso007_client AS clin ON sale.psClientID = clin.pclID
				LEFT JOIN nso007_loan AS loan ON sale.psID = loan.ploSale
				LEFT JOIN nso007_sale_detail_stock AS detail ON sale.psID = detail.psdSaleID
				LEFT JOIN nso007_item_stock AS item ON detail.psdItemID = item.piID
				LEFT JOIN nso007_category_stock AS cat ON item.piCatagory = cat.pctID
				LEFT JOIN nso007_project_stock AS pro ON item.piProject = pro.ppjID
				WHERE psDeposit=1 AND psContractDate <= '$today' AND psPurchase = 0
				GROUP BY sale.psID
			"); 

			return $data->result_array(); 

		}		

		public function get_sale($id){

			$data = $this->db->query("SELECT * FROM nso007_sale_stock WHERE psID = $id"); 

			return $data->row(); 

		}

		public function get_deposit($id)

		{

			$query = $this->db->query("SELECT item.piItemCode AS itemcode, category.pctName AS catname, project.ppjName AS projectname, sale.psRemain AS saleremain, sale.psAmount AS saleamount

			FROM nso007_sale_detail_stock AS stock

			LEFT JOIN nso007_sale_stock AS sale ON stock.psdSaleID = sale.psID

			LEFT JOIN nso007_item_stock AS item ON stock.psdItemID = item.piID

			LEFT JOIN nso007_category_stock AS category ON item.piCatagory = category.pctID

			LEFT JOIN nso007_project_stock AS project ON item.piProject = project.ppjID

			WHERE psdSaleID = $id");

			return $query->row();

		}

		public function invoice_deposit($id)
		{
			$data = $this->db->query("
				SELECT   pdID,psID, ppjName, pctName, pdDate as psDate,pdDateLine as psContractDate, pclName, GROUP_CONCAT(piItemCode SEPARATOR ' & ') AS items, pdAmount as psReceive
				FROM nso007_sale_stock
				LEFT JOIN nso007_sale_detail_stock ON nso007_sale_stock.psID = nso007_sale_detail_stock.psdSaleID
				LEFT JOIN nso007_item_stock ON nso007_sale_detail_stock.psdItemID = nso007_item_stock.piID
				LEFT JOIN nso007_client ON nso007_sale_stock.psClientID = nso007_client.pclID
				LEFT JOIN nso007_user ON nso007_client.pclUser = nso007_user.pliID
				LEFT JOIN nso007_project_stock ON nso007_project_stock.ppjID = nso007_item_stock.piProject
				LEFT JOIN nso007_category_stock ON nso007_category_stock.pctID = nso007_item_stock.piCatagory
				LEFT JOIN nso007_deposit ON nso007_sale_stock.psID = nso007_deposit.pdSaleID
                WHERE psID = $id
                GROUP BY pdID 
                ORDER BY pdID DESC LIMIT 1
                ");
			return $data->row();
		}

        public function alert_payment(){
            $today = date('Y-m-d');
            $data = $this->db->query("SELECT psdItemID AS item_id,  GROUP_CONCAT(piItemCode SEPARATOR ' & ') AS item_code, ppjName AS project_name, pctName AS category_name,
										ploID,plpDatePayment,ploCo,pclID,pclName,
										gender.pdwNameFull AS gender,pclPhone1,plpNo,plpID,
										CONCAT(pliFristName,' ',pliLastName) AS userName,
										plpInterestPay,plpPrinciplePay,currency.pdwNameFull AS currency
										FROM nso007_loan_process
										LEFT JOIN nso007_loan ON nso007_loan_process.plpLoanID = nso007_loan.ploID
										LEFT JOIN nso007_client ON nso007_loan.ploClientID = nso007_client.pclID
										LEFT JOIN nso007_dropdown AS gender ON nso007_client.pclGender = gender.pdwCode AND gender.pdStatus = 1
										LEFT JOIN nso007_user ON nso007_loan.ploCo = nso007_user.pliID
										LEFT JOIN nso007_dropdown AS currency ON nso007_loan.ploCurrency = currency.pdwCode AND currency.pdStatus = 5
										LEFT JOIN nso007_sale_detail_stock AS sale_detail ON nso007_loan.ploSale = sale_detail.psdSaleID
										LEFT JOIN nso007_item_stock AS item ON sale_detail.psdItemID = item.piID
										LEFT JOIN nso007_project_stock AS project ON item.piProject = project.ppjID
										LEFT JOIN nso007_category_stock AS category ON item.piCatagory = category.pctID
									    WHERE !ISNULL(plpNo) AND (plpPaid IS NULL OR plpPaid = 2) AND DATE_ADD(plpDatePayment,INTERVAL -1 DAY) <= '$today'
				                        GROUP BY plpNo ,plpLoanID ORDER BY plpID
										");

            return $data->result_array();
        }
		

	}

